/**
 * msdk公共JS
 * 
 */
angular.module('msdk', ['ionic','ja.qr', 'chart.js'])
.config(function($stateProvider, $urlRouterProvider) {

  // Ionic uses AngularUI Router which uses the concept of states
  // Learn more here: https://github.com/angular-ui/ui-router
  // Set up the various states which the app can be in.
  // Each state's controller can be found in controllers.js
  $stateProvider
  //登录
  .state('login',{
  	url: '/msdk/login/login',
  	templateUrl: 'msdk/templates/login/login.html',
  	controller: 'LoginCtrl'
  })
  .state('agreement',{
  	url:'/msdk/login/agreement',
  	templateUrl: 'msdk/templates/login/agreement.html'
  })
  .state('register',{
    url:'/msdk/login/register',
    templateUrl: 'msdk/templates/login/register.html',
    controller: 'RegisterCtrl'
  })
  .state('smsLogin',{
    url:'/msdk/login/smsLogin',
    templateUrl: 'msdk/templates/login/smsLogin.html',
    controller: 'SmsLoginCtrl'
  })
  .state('setPassword',{
    url:'/msdk/login/setPassword',
    templateUrl: 'msdk/templates/login/setPassword.html',
    controller: 'SetPasswordCtrl'
  })
  .state('yanzheng',{
    url:'/msdk/login/yanzheng',
    templateUrl: 'msdk/templates/third/yanzheng.html',
    controller: 'YanzhengCtrl'
  })
  .state('newRegister',{
    url:'/msdk/login/newRegister',
    templateUrl: 'msdk/templates/third/newRegister.html',
    controller: 'NewRegisterCtrl'
  })
  .state('waitPage',{
    url:'/msdk/login/waitPage',
    templateUrl: 'msdk/templates/login/waitPage.html',
    controller: 'WaitPageCtrl'
  })
  ;
  //默认到登录页
  $urlRouterProvider.otherwise('/msdk/login/waitPage');
})

.controller('YanzhengCtrl',function($scope,$state,$ionicPopup,$interval, Msdk,$timeout){
	   $scope.model = {
		        tel:'',
		        sms:'',
		        agreement:false
		    }
		    $scope.ctrl = {
		        smsBtnLabel: '获取验证码',
		        smsSended: false,
		        countDown: 60,
		        btnDisabled: false
		    }
		    $scope.hideDelBtnTel = function(e){
		        return $scope.model.tel == '';
		    }
		    $scope.hideDelBtnSms = function(e){
		        return $scope.model.sms == '';
		    }
		    $scope.disableSmsBtn = function(e){
		        return false;
		    }
		    $scope.clearTel = function(e){
		        $scope.model.tel = '';
		    }
		    $scope.clearSms = function(e){
		        $scope.model.sms = '';
		    }
		    $scope.smsLogin = function(e){
		        if(!$scope.model.sms){
		            $ionicPopup.alert({title:"请输入验证码"});
		            return;
		        }
		        $scope.model.sessionId = Msdk.session.sessionId;
		        Msdk.postJSON('/msdk/applogin/smsLogin',$scope.model,function(e){
		            if(e){
		                if(e.success){
		                    Msdk.user = e.user;
		                    window.localStorage.setItem("sessionId",e.sessionId);
		                    window.localStorage.setItem("userId",Msdk.session.sessionId);
		                    var thirdLoginInfo = JSON.parse(localStorage.getItem('thirdLoginInfo'));
		                    /**
		                	 * @param map
		                	 *  #{loginType} 登录类型,
		                	 *	#{openId} 三方登录唯一标志,
		                	 *	#{userId} 用户登录唯一标志,
		                	 *	#{picUrl} 三方登陆图像路径,
		                	 *  #{nickName} 三方登陆昵称
		                	 */
		                    var bindModel = {
		                    		loginType : thirdLoginInfo.loginType,
		                    		openId : thirdLoginInfo.openId,
		                    		userId : e.user.userId,
		                    		picUrl : thirdLoginInfo.picUrl,
		                    		nickName:thirdLoginInfo.nickName
		                    }
		                	Msdk.postJSON(
		        	                '/thirdLogin/bindAccount',
		        	                bindModel,
		        	                function(e){
		        	                    if(e){
		        	                       //绑定成功
		        	                    	Msdk.showDefaultToast({message:"绑定成功！",duration:1000});
		        	                        $timeout(function(){
		        	                        	//成功之后的跳转
			        		                    Msdk.gotoFirstState();
		        	                        },1000)
		        	                    }else{
		        	                       //未绑定成功
		        	                    	Msdk.showDefaultToast({message:"绑定失败！",duration:1000});
		        	                        $timeout(function(){
		        	                        	//失败之后的跳转
			        		                    $state.go('login');
		        	                        },1000)
		        	                    }
		        	                }
		        	            );
		                }
		                else{
		                    $ionicPopup.alert({title:e.message});
		                    $interval.cancel($scope.ctrl.intervalhash);
		                    $scope.ctrl.smsBtnLabel = "获取验证码";
		                    $scope.ctrl.btnDisabled = false;
		                }
		            }
		        });
		    }
		    var smsCountDown = function() {
		        if ($scope.ctrl.countDown <= 0) {
		            $scope.ctrl.smsBtnLabel = "获取验证码";
		            $scope.ctrl.btnDisabled = false;
		            $interval.cancel($scope.ctrl.intervalhash);
		            return;
		        }
		        $scope.ctrl.smsBtnLabel = "请等待" + $scope.ctrl.countDown + "秒";
		        $scope.ctrl.countDown--;
		    }
		    $scope.sendSms = function(e){
		        if(!$scope.model.tel){
		            $ionicPopup.alert({title:"请输入手机号"});
		            return;
		        }
		        $scope.ctrl.countDown = 60;
		        $scope.ctrl.btnDisabled = true;
		        $scope.ctrl.intervalhash = $interval(smsCountDown, 1000);
		        Msdk.postJSON('/msdk/applogin/sendLoginSms',$scope.model,function(e){
		            if(e){
		                if(e.success){
		                    Msdk.session.sessionId = e.sessionId;
		                    $scope.ctrl.smsSended = true;
		                    $ionicPopup.alert({title:"验证码已发送"});
		                    
		                }
		                else{
		                    $ionicPopup.alert({title:e.message});
		                    $interval.cancel($scope.ctrl.intervalhash);
		                }
		            }
		        });
		    }
		    
		    
			$scope.$watch('model',function(newVal,oldVal){
				if ($scope.model.tel != '' &&  $scope.model.sms != '') {
					document.getElementById("loginButton").disabled = false;
				}else{
					document.getElementById("loginButton").disabled = true;
				}
			},true);
})

.controller('NewRegisterCtrl',function($scope,$state,$ionicPopup,$interval, Msdk,$timeout){
    $scope.model = {
        tel:'',
        sms: '',
        agreement :false
    }
    $scope.ctrl = {
        smsBtnLabel: '获取验证码',
        smsSended: false,
        countDown: 60,
        btnDisabled: false
    }
    var smsCountDown = function() {
        if ($scope.ctrl.countDown <= 0) {
            $scope.ctrl.smsBtnLabel = "获取验证码";
            $scope.ctrl.btnDisabled = false;
            $interval.cancel($scope.ctrl.intervalhash);
            return;
        }
        $scope.ctrl.smsBtnLabel = "请等待" + $scope.ctrl.countDown + "秒";
        $scope.ctrl.countDown--;
    }
    $scope.hideDelBtnTel = function(e){
        return $scope.model.tel == '';
    }
    $scope.hideDelBtnSms = function(e){
        return $scope.model.sms == '';
    }
    $scope.disableSmsBtn = function(e){
        return false;
    }
    $scope.clearTel = function(e){
        $scope.model.tel = '';
    }
    $scope.clearSms = function(e){
        $scope.model.sms = '';
    }
    $scope.sendSms = function(e){
        if(!$scope.model.tel){
            $ionicPopup.alert({title:"请输入手机号"});
        }
        $scope.ctrl.countDown = 60;
        $scope.ctrl.btnDisabled = true;
        $scope.ctrl.intervalhash = $interval(smsCountDown, 1000);
        Msdk.postJSON('/msdk/applogin/sendRegisterSms',$scope.model,function(e){
            if(e){
                if(e.success){
                    Msdk.session.sessionId = e.sessionId;
                    $scope.ctrl.smsSended = true;
                    $ionicPopup.alert({title:"验证码已发送"});
                }
                else{
                    $ionicPopup.alert({title:e.message});
                    $interval.cancel($scope.ctrl.intervalhash);
                    $scope.ctrl.smsBtnLabel = "获取验证码";
                    $scope.ctrl.btnDisabled = false;
                }
            }
        });
    }
    $scope.register = function(e){
        if(!$scope.model.sms){
            $ionicPopup.alert({title:"请输入验证码"});
            return;
        }
        $scope.model.sessionId = Msdk.session.sessionId;
        Msdk.postJSON('/msdk/applogin/register', $scope.model, function(e){
            if(e && e.success){
            	  Msdk.user = e.user;
            	  window.localStorage.setItem("userId",e.user.userId);
                  window.localStorage.setItem("sessionId",e.sessionId);
            	  var model = {
            	      loginCode: e.user.loginCode,
            	      passwd: Msdk.encryptPassword('123456'),
            	      confirmPasswd: Msdk.encryptPassword('123456'),
            	      sessionId:Msdk.session.sessionId
            	  };
            	 Msdk.postJSON('/msdk/applogin/setPsw', model, function(e){
            	    if(e && e.success){
            	    	var thirdLoginInfo = JSON.parse(localStorage.getItem('thirdLoginInfo'));
	                    /**
	                	 * @param map
	                	 *  #{loginType} 登录类型,
	                	 *	#{openId} 三方登录唯一标志,
	                	 *	#{userId} 用户登录唯一标志,
	                	 *	#{picUrl} 三方登陆图像路径,
	                	 *  #{nickName} 三方登陆昵称
	                	 */
	                    var bindModel = {
	                    		loginType : thirdLoginInfo.loginType,
	                    		openId : thirdLoginInfo.openId,
	                    		userId : Msdk.user.userId,
	                    		picUrl : thirdLoginInfo.picUrl,
	                    		nickName:thirdLoginInfo.nickName
	                    }
	                	Msdk.postJSON(
	        	                '/thirdLogin/bindAccount',
	        	                bindModel,
	        	                function(e){
	        	                    if(e){
	        	                    	//绑定成功
	        	                    	Msdk.showDefaultToast({message:"绑定成功！",duration:1000});
	        	                        $timeout(function(){
	        	                        	//成功之后的跳转
		        		                    Msdk.gotoFirstState();
	        	                        },1000)
	        	                    }else{
	        	                    	//未绑定成功
	        	                    	Msdk.showDefaultToast({message:"绑定失败！",duration:1000});
	        	                        $timeout(function(){
	        	                        	//失败之后的跳转
		        		                    $state.go('login');
	        	                        },1000)
	        	                    }
	        	                }
	        	            );
            	    }else{
            	         $ionicPopup.alert({title:e.message});
            	         }
            	 });
            }
            else{
                $ionicPopup.alert({title:e.message});
            }
        });
    }
    
	$scope.$watch('model',function(newVal,oldVal){
	if ($scope.model.tel != '' &&  $scope.model.sms != '' && $scope.model.agreement) {
		document.getElementById("loginButton").disabled = false;
	}else{
		document.getElementById("loginButton").disabled = true;
	}
	},true);

})
/*** controller section begin ***/
.controller('LoginCtrl',function($scope,$state,$ionicPopup,Msdk,Myfactory,$http,$timeout){
	
	var loginCallback = function(e){
        if(e && e.success){
//            Msdk.user.userId = e.userId;
//            Msdk.user.loginCode = e.loginCode;
            Msdk.user = e.user;
            Msdk.session.sessionId = e.sessionId;
            window.localStorage.setItem("userId",e.userId);
            window.localStorage.setItem("sessionId",e.sessionId);
            Msdk.gotoFirstState();
        }
        else{
            $ionicPopup.alert({title:e.message});
        }
	};
	$scope.loginModel = {
	    loginCode:'',
	    loginPassword:''
	};
	//存储三方登陆的信息，放在localStorage中
	$scope.thirdLoginInfo ={}
	$scope.picUrl = 'img/Logo.png';
	$scope.login = function(e){
		if (ionic.Platform.isIOS()) {
			cordova.plugins.Keyboard.close();
		}
	    var model = {
            loginCode: $scope.loginModel.loginCode,
            loginPassword:Msdk.encryptPassword($scope.loginModel.loginPassword)
        };
        if (model.loginCode == 'hzdxkj@2016' && $scope.loginModel.loginPassword == '123456789') {
        	$state.go("controller");
        	return;
        }
		Myfactory.getValue(function(e){
			if (e) {
				Msdk.postJSON('/msdk/applogin/login', model, loginCallback);
			}
		})
	}
	
    $scope.hideDelBtnTel = function(e){
        return $scope.loginModel.loginCode == '';
    }
    $scope.hideDelBtnPsw = function(e){
        return $scope.loginModel.loginPassword == '';
    }
    $scope.clearTel = function(e){
        $scope.loginModel.loginCode = '';
    }
    $scope.clearPsw = function(e){
        $scope.loginModel.loginPassword = '';
    }
            
    $scope.$on('$ionicView.afterEnter',function(e,d){
        if (window.StatusBar) {
            StatusBar.styleDefault();
        }

    });
   
    $scope.$on('$ionicView.beforeLeave',function(e,d){
        if (window.StatusBar) {
            StatusBar.styleLightContent();
        }
    });
    $scope.$on('$ionicView.loaded',function(e,d){
    	
        var sessionId = window.localStorage.getItem("sessionId");
        var userId = window.localStorage.getItem("userId");
        if(sessionId && userId){
    	 	Myfactory.getValue(function(e){
				if (e) {
					Msdk.postJSON(
		                '/msdk/applogin/autologin',
		                {
		                    userId: userId,
		                    sessionId: sessionId
		                },
		                function(e){
		                    if(e.success){
		//                      Msdk.user.userId = e.userId;
		//                      Msdk.user.loginCode = e.loginCode;
		                        Msdk.user = e.user;
		                        Msdk.session.sessionId = e.sessionId;
		                        Msdk.gotoFirstState();
		                    }
		                }
		            );
				}
			})
            
        }
    	
    	var picUrl1 = getSearchHistory("picUrl");
    	if (picUrl1) {
    		$scope.picUrl = picUrl1;
    	}
    	if(picUrl1 == ""){
    		$scope.picUrl = 'img/Logo.png';
    	}
    });

	$scope.$watch('loginModel',function(newVal,oldVal){
		if ($scope.loginModel.loginCode != '' &&  $scope.loginModel.loginPassword != '') {
			document.getElementById("loginButton").disabled = false;
		}else{
			document.getElementById("loginButton").disabled = true;
		}
	},true);
	
	   	//获取搜索历史记录，初始化历史数据
    function getSearchHistory(historyName) {
		var history = window.localStorage.getItem(historyName);
		return history;
    }
	
	//跳转
	$scope.goState = function(url){
		Myfactory.getValue(function(e){
			if (e) {
				$state.go(url);
			}
		})
		
	}
	
	
	var confirmPopup = "";
    $scope.showConfirm = function() {
    		confirmPopup = $ionicPopup.confirm({
		       title: '提示',
		       okText	:	"绑定账号",
		       cancelText	:	"注册账号"
		    });
  	  	confirmPopup.then(function(res) {
   	 		if(res) {
				$state.go('yanzheng');
   	 		} else if(res == undefined){
   	 			YCQQ.logout();//退出qq
   	 		}else{
   		    	$state.go('newRegister');
     	  	}
     		});
   	 };


	
	//qq登录
	$scope.QQLogin = function(){
		    $scope.iosPhone = ionic.Platform.isIOS();   
		    if(!$scope.iosPhone){
		        //解决点击事件触发两次的bug
			    if ($scope.clicked) {
			        $scope.cancelClick = true;
			        return;
			    }
			    $scope.clicked = true;
			    $timeout(function () {
			        if ($scope.cancelClick) {
			            $scope.cancelClick = false;
			            $scope.clicked = false;
			            return;
			        }
			        //do something with your single click here
			        YCQQ.checkClientInstalled(function(){
			        	//安装QQ
			        	QQLogin();
			        },function(){
			        	//未安装QQ
			        	Msdk.showDefaultToast({message:"请先安装QQ,再使用此功能！",duration:2000});
			        },0);
			        //clean up
			        $scope.cancelClick = false;
			        $scope.clicked = false;
			    }, 500);
		    }else{
		    	QQLogin();
		    }
		
	}
	
	var QQLogin =  function(){
		YCQQ.ssoLogin(function(args){
			$scope.openId = args.userid;
			$scope.url = 'https://graph.qq.com/user/get_user_info?access_token=' + args.access_token + '&oauth_consumer_key=1105632059' + '&openid=' + args.userid;
		      $http.get($scope.url)
				.then(function (response) {
					 /**
				       *    city:"杭州"
							figureurl:"http://qzapp.qlogo.cn/qzapp/1105632059/0F91B1E18BD243156252A1CC79A269BE/30 "
							figureurl_1:"http://qzapp.qlogo.cn/qzapp/1105632059/0F91B1E18BD243156252A1CC79A269BE/50 "
							figureurl_2:"http://qzapp.qlogo.cn/qzapp/1105632059/0F91B1E18BD243156252A1CC79A269BE/100 "
							figureurl_qq_1:"http://q.qlogo.cn/qqapp/1105632059/0F91B1E18BD243156252A1CC79A269BE/40 "
							figureurl_qq_2:"http://q.qlogo.cn/qqapp/1105632059/0F91B1E18BD243156252A1CC79A269BE/100 "
							gender:"男"
							nickname:"心语"
							province:"浙江"
							year:"1992"
				       */
					var thirdInfo = {};
					thirdInfo.openId = $scope.openId;
					thirdInfo.picUrl = response.data.figureurl_2;
					thirdInfo.nickName = response.data.nickname;
					thirdInfo.loginType = '01';
					window.localStorage.setItem("thirdLoginInfo",JSON.stringify(thirdInfo));
					Msdk.postJSON(
			                '/thirdLogin/getLoginState',
			                {
			                    openId: $scope.openId,
			                    loginType: '01'
			                },
			                function(e){
			                    if(e.flag){
			                       //已经绑定
			                       var model = {
			                       	  loginCode: e.data.LOGIN_CODE,	
		         					  loginPassword:e.data.LOGIN_PASSWORD
			                       };
		        
									Myfactory.getValue(function(e){
										if (e) {
											Msdk.postJSON('/msdk/applogin/login', model, loginCallback);
										}
								 	});
			                    }else{
			                       //未绑定   弹框提示绑定或者注册
			                       $scope.showConfirm();
			                    }
			                }
			            );
				});
		      },function(failReason){
		       console.log(failReason);
		},0);
	}

	
	//微信登录
	$scope.WXLogin = function(){
		 $scope.iosPhone = ionic.Platform.isIOS();   
		    if(!$scope.iosPhone){
		        //解决点击事件触发两次的bug
			    if ($scope.clicked) {
			        $scope.cancelClick = true;
			        return;
			    }
			    $scope.clicked = true;
			    $timeout(function () {
			        if ($scope.cancelClick) {
			            $scope.cancelClick = false;
			            $scope.clicked = false;
			            return;
			        }
			        //do something with your single click here
			        WXLogin();
			        //clean up
			        $scope.cancelClick = false;
			        $scope.clicked = false;
			    }, 500);
		    }else{
		    	WXLogin();
		    }
		//Wechat.isInstalled(function (installed) {
		//    if(installed){
		    	//安装微信
		//    	WXLogin();
		//    }else{
		    	//未安装微信
		//    	Msdk.showDefaultToast({message:"请先安装微信,再使用此功能！",duration:2000});
		//    }
		//});
	
	}
	function WXLogin(){
		var scope = "snsapi_userinfo",
		    state = "_" + (+new Date());
		Wechat.auth(scope, state,function (response) {
		    // you may use response.code to get the access token.
			Msdk.postJSON(
	                '/thirdLogin/getOpenId',
	                {code: response.code},
	                function(e){
	                    if(e){
	        				/**
	        				 * 返回参数
	        				 * access_token:"tH-wJf5tnwBlB5emiXZRKx8PMPMlKXrtPVuCUEL2T0FuAxXQ9WlM7DTeNCbMG_KcV18BD44q76IC4N8BSshMILe2KK8i_2iIAW6a7QyQM38"
	        				   expires_in:7200
	        				   openid:"oaTkTwJ5dfOJvcNSv2JEnhyueDuk"
	        				   refresh_token:"lz01Jk2CMxSfxMKX5mDnkxp1dImlYDZNW1cksWZkfoQbbejKVTmuuKyNfWo0px5gLeB2jk696y7inP-KwhtXmjDBuTH8f0q9W74_GMR25hw"
	        				   scope:"snsapi_userinfo"
	        				   unionid:"o0TeNwAjoYEFLuMrhPk7ZjiMMrDI"
	        				 */
	                    	var returnObj = JSON.parse(e);
	        				$scope.thirdLoginInfo.openId = returnObj.openid;
	        				$scope.thirdLoginInfo.unionId = returnObj.unionid;
	        				//获取登录用户详情
	        				var url2 = 'https://api.weixin.qq.com/sns/userinfo?access_token='+ returnObj.access_token +'&openid='+ returnObj.openid;
	        				$http.get(url2)
	        				.then(function (res) {
	        					$scope.data = res.data;
	        					/**
	        					 *  city:"Nanyang"
	        						country:"CN"
	        						headimgurl:"http://wx.qlogo.cn/mmhead/FfibGwicYN4cJdsRZWVicZhovl6qshricgm0wJQ73pZKnSU/0"
	        						language:"zh_CN"
	        						nickname:"BubbleEric"
	        						openid:"oaTkTwJ5dfOJvcNSv2JEnhyueDuk"
	        						province:"Henan"
	        						sex:1
	        						unionid:"o0TeNwAjoYEFLuMrhPk7ZjiMMrDI"
	        					 */
	        					$scope.thirdLoginInfo.picUrl = $scope.data.headimgurl;
	        					$scope.thirdLoginInfo.nickName = $scope.data.nickname;
	        					$scope.thirdLoginInfo.loginType = '02';
	        					localStorage.setItem('thirdLoginInfo', JSON.stringify($scope.thirdLoginInfo));
	        					Msdk.postJSON(
	        			                '/thirdLogin/getLoginState',
	        			                {
	        			                    openId: $scope.data.openid,
	        			                    loginType: '02'
	        			                },
	        			                function(e){
	        			                    if(e.flag){
	        			                       //已经绑定
	        			                    	var model = {
	        			                             loginCode: e.data.LOGIN_CODE,
	        			                             loginPassword:e.data.LOGIN_PASSWORD
	        			                        };
	        			                   		Myfactory.getValue(function(e){
	        			                   			if (e) {
	        			                   				Msdk.postJSON('/msdk/applogin/login', model, loginCallback);
	        			                   			}
	        			                   		})
	        			                    }else{
	        			                       //未绑定   弹框提示绑定或者注册
	        			                    	 $scope.showConfirm();
	        			                    }
	        			                }
	        			         );
	        				});
	                    }
	                    
	                }
	         );
			//放在这里
		}, function (reason) {
		    alert("Failed: " + reason);
		});
	}
})
.controller('SmsLoginCtrl', function($scope,$state,$ionicPopup,$interval, Msdk){
    $scope.model = {
        tel:'',
        sms:'',
        agreement:false
    }
    $scope.ctrl = {
        smsBtnLabel: '获取验证码',
        smsSended: false,
        countDown: 60,
        btnDisabled: false
    }
    $scope.hideDelBtnTel = function(e){
        return $scope.model.tel == '';
    }
    $scope.hideDelBtnSms = function(e){
        return $scope.model.sms == '';
    }
    $scope.disableSmsBtn = function(e){
        return false;
    }
    $scope.clearTel = function(e){
        $scope.model.tel = '';
    }
    $scope.clearSms = function(e){
        $scope.model.sms = '';
    }
    $scope.smsLogin = function(e){
        if(!$scope.model.sms){
            $ionicPopup.alert({title:"请输入验证码"});
            return;
        }
        $scope.model.sessionId = Msdk.session.sessionId;
        Msdk.postJSON('/msdk/applogin/smsLogin',$scope.model,function(e){
            if(e){
                if(e.success){
//                  Msdk.user.userId = e.userId;
//                  Msdk.user.loginCode = e.loginCode;
                    Msdk.user = e.user;
                    window.localStorage.setItem("sessionId",e.sessionId);
                    window.localStorage.setItem("userId",Msdk.session.sessionId);
                    $state.go('setPassword');
                }
                else{
                    $ionicPopup.alert({title:e.message});
                    $interval.cancel($scope.ctrl.intervalhash);
                    $scope.ctrl.smsBtnLabel = "获取验证码";
                    $scope.ctrl.btnDisabled = false;
                }
            }
        });
    }
    var smsCountDown = function() {
        if ($scope.ctrl.countDown <= 0) {
            $scope.ctrl.smsBtnLabel = "获取验证码";
            $scope.ctrl.btnDisabled = false;
            $interval.cancel($scope.ctrl.intervalhash);
            return;
        }
        $scope.ctrl.smsBtnLabel = "请等待" + $scope.ctrl.countDown + "秒";
        $scope.ctrl.countDown--;
    }
    $scope.sendSms = function(e){
        if(!$scope.model.tel){
            $ionicPopup.alert({title:"请输入手机号"});
            return;
        }
        $scope.ctrl.countDown = 20;
        $scope.ctrl.btnDisabled = true;
        $scope.ctrl.intervalhash = $interval(smsCountDown, 1000);
        Msdk.postJSON('/msdk/applogin/sendLoginSms',$scope.model,function(e){
            if(e){
                if(e.success){
                    Msdk.session.sessionId = e.sessionId;
                    $scope.ctrl.smsSended = true;
                    $ionicPopup.alert({title:"验证码已发送"});
                    
                }
                else{
                    $ionicPopup.alert({title:e.message});
                    $interval.cancel($scope.ctrl.intervalhash);
                }
            }
        });
    }
    
    
	$scope.$watch('model',function(newVal,oldVal){
		if ($scope.model.tel != '' &&  $scope.model.sms != '') {
			document.getElementById("loginButton").disabled = false;
		}else{
			document.getElementById("loginButton").disabled = true;
		}
	},true);
})
.controller('RegisterCtrl', function($scope,$state,$ionicPopup,$interval, Msdk){
    $scope.model = {
        tel:'',
        sms: '',
        agreement :false
    }
    $scope.ctrl = {
        smsBtnLabel: '获取验证码',
        smsSended: false,
        countDown: 60,
        btnDisabled: false
    }
    var smsCountDown = function() {
        if ($scope.ctrl.countDown <= 0) {
            $scope.ctrl.smsBtnLabel = "获取验证码";
            $scope.ctrl.btnDisabled = false;
            $interval.cancel($scope.ctrl.intervalhash);
            return;
        }
        $scope.ctrl.smsBtnLabel = "请等待" + $scope.ctrl.countDown + "秒";
        $scope.ctrl.countDown--;
    }
    $scope.hideDelBtnTel = function(e){
        return $scope.model.tel == '';
    }
    $scope.hideDelBtnSms = function(e){
        return $scope.model.sms == '';
    }
    $scope.disableSmsBtn = function(e){
        return false;
    }
    $scope.clearTel = function(e){
        $scope.model.tel = '';
    }
    $scope.clearSms = function(e){
        $scope.model.sms = '';
    }
    $scope.sendSms = function(e){
        if(!$scope.model.tel){
            $ionicPopup.alert({title:"请输入手机号"});
        }
        $scope.ctrl.countDown = 20;
        $scope.ctrl.btnDisabled = true;
        $scope.ctrl.intervalhash = $interval(smsCountDown, 1000);
        Msdk.postJSON('/msdk/applogin/sendRegisterSms',$scope.model,function(e){
            if(e){
                if(e.success){
                    Msdk.session.sessionId = e.sessionId;
                    $scope.ctrl.smsSended = true;
                    $ionicPopup.alert({title:"验证码已发送"});
                }
                else{
                    $ionicPopup.alert({title:e.message});
                    $interval.cancel($scope.ctrl.intervalhash);
                    $scope.ctrl.smsBtnLabel = "获取验证码";
                    $scope.ctrl.btnDisabled = false;
                }
            }
        });
    }
    $scope.register = function(e){
        if(!$scope.model.sms){
            $ionicPopup.alert({title:"请输入验证码"});
            return;
        }
        $scope.model.sessionId = Msdk.session.sessionId;
        Msdk.postJSON('/msdk/applogin/register', $scope.model, function(e){
            if(e && e.success){
//              Msdk.user.loginCode = $scope.model.tel;
                
                Msdk.user = e.user;
                $state.go('setPassword');
            }
            else{
                $ionicPopup.alert({title:e.message});
            }
        });
    }
    
	$scope.$watch('model',function(newVal,oldVal){
	if ($scope.model.tel != '' &&  $scope.model.sms != '' && $scope.model.agreement) {
		document.getElementById("loginButton").disabled = false;
	}else{
		document.getElementById("loginButton").disabled = true;
	}
	},true);
})
.controller('SetPasswordCtrl', function($scope,$ionicPopup, Msdk){
    $scope.model={
        loginCode: Msdk.user.loginCode,
        passwd:'',
        confirmPasswd:''
    }
    $scope.ctrl={
        showPsw:false
    }
    $scope.skipSetPassword = function(e){
        Msdk.gotoFirstState();
    }
    $scope.getLoginCode = function(e){
        return Msdk.user.loginCode;
    }
    $scope.hideDelBtnPsw1 = function(e){
        return $scope.model.passwd == '';
    }
    $scope.hideDelBtnPsw2 = function(e){
        return $scope.model.confirmPasswd == '';
    }
    $scope.clearPsw1 = function(e){
        $scope.model.passwd = '';
    }
    $scope.clearPsw2 = function(e){
        $scope.model.confirmPasswd = '';
    }
    $scope.passwordInputType = function(e){
        return $scope.ctrl.showPsw ? 'text':'password';
    }
    $scope.confirmSetPassword = function(e){
        if($scope.model.passwd !== $scope.model.confirmPasswd){
            $ionicPopup.alert({title:'密码不一致'});
            return;
        }
        if($scope.model.passwd.length <4 || $scope.model.passwd.length > 20){
            $ionicPopup.alert({title:'密码格式错误，请输入4-20位密码'});
            return;
        }
        var model = {
            loginCode: $scope.model.loginCode,
            passwd: Msdk.encryptPassword($scope.model.passwd),
            confirmPasswd: Msdk.encryptPassword($scope.model.confirmPasswd),
            plainPasswd:$scope.model.passwd,
            sessionId:Msdk.session.sessionId
        };
        Msdk.postJSON('/msdk/applogin/setPsw', model, function(e){
            if(e && e.success){
                Msdk.gotoFirstState();
            }
            else{
                $ionicPopup.alert({title:e.message});
            }
        });
    }
    
    $scope.$watch('model',function(newVal,oldVal){
	if ($scope.model.passwd != '' &&  $scope.model.confirmPasswd != '') {
		document.getElementById("loginButton").disabled = false;
	}else{
		document.getElementById("loginButton").disabled = true;
	}
	},true);
})
.controller('WaitPageCtrl', function($scope,$state, Msdk,$timeout,$interval,$ionicPopup,Myfactory){
	
		var versionNumber  = '1.0.52';
    	$scope.isimg = true;
		var newVersionNumber = "-1";
		Msdk.getNewVersionNumber(function(e){
			newVersionNumber = e;
			if (!window.localStorage.getItem("versionNumber") && versionNumber == newVersionNumber) {
				$interval.cancel(timeoutValue);
				$state.go('welcome1',{'versionNumber':versionNumber});
				return
			}else if (window.localStorage.getItem("versionNumber") !== versionNumber && versionNumber == newVersionNumber) {
				$interval.cancel(timeoutValue);
		    	$state.go('welcome1',{'versionNumber':versionNumber});
		    	return;
		    }
		});
    	
		
		
		$scope.login = function(){
				$scope.isimg = false;
			if (timeoutValue) {
				$interval.cancel(timeoutValue);
			}
			var sessionId = window.localStorage.getItem("sessionId");
	        var userId = window.localStorage.getItem("userId");
	        if(sessionId && userId){
	            Msdk.postJSON(
	                '/msdk/applogin/autologin',
	                {
	                    userId: userId,
	                    sessionId: sessionId
	                },
	                function(e){
	                    if(e.success){
	//                      Msdk.user.userId = e.userId;
	//                      Msdk.user.loginCode = e.loginCode;
	                        Msdk.user = e.user;
	                        Msdk.session.sessionId = e.sessionId;
	                        Msdk.gotoFirstState();
	                    }else{
				        	$state.go("login");
				        }
	                }
	            );
	        }else{
	        	$state.go("login");
	        }
		}
		
    	var timeoutValue = $interval(function(){
    							console.log(confirmPopup);
    							if (confirmPopup == "" && newVersionNumber != "-1") {
    								updateSofe();
    							}
					    	},1500)
       
    	
    		  //检查更新
	function updateSofe(){
		try{
			cordova.getAppVersion.getVersionNumber(function(e){
				if ( e < newVersionNumber) {
					$scope.showConfirm();
				}else{
					$scope.login();
				}
			});
		}catch(e){

			$scope.login();

		}
		
	}
		
	 // 一个确认对话框
	 var confirmPopup = "";
    $scope.showConfirm = function() {
    	confirmPopup = $ionicPopup.confirm({
	       title: '更新提示',
	       template: '亲，由于售电百事通应用调整，需要升级到最新版本才能正常使用。是否现在升级？',
	       okText	:	"是",
	       cancelText	:	"否"
	    });
    	confirmPopup.then(function(res) {
    		if(res) {
    			if (ionic.Platform.isIOS()) {
    				var iosupdateurl = 'https://itunes.apple.com/cn/app/shou-dian-bai-shi-tong/id1138617331?mt=8';
					var op = 'location=no,zoom=yes,clearcache=yes,toolbar=yes,toolbarposition=top,closebuttoncaption=关闭,enableViewportScale=yes';
					var inAppBrowserRef = cordova.InAppBrowser.open(iosupdateurl, '_blank', op);
    			}else{
    				//var updateUrl = "http://bstoss.oss-cn-hangzhou.aliyuncs.com/bstapk/bst.apk";
					//Myfactory.downApp(updateUrl);
    				var updateUrl = "http://bstoss.oss-cn-hangzhou.aliyuncs.com/bstapk/version.xml";
    		        cordova.plugins.AppUpdate.checkAppUpdate(updateUrl,function(e){},function(e){});
    		        $interval.cancel(timeoutValue);
    			}
    			confirmPopup = "";
       		} else {
       			$interval.cancel(timeoutValue);
       			$scope.login();
		     	//var alertPopup = $ionicPopup.alert({
		       	//	title: '提示',
		       //		template: '应用即将关闭!'
		     	//});
		     	//alertPopup.then(function(res) {
		     //		 navigator.app.exitApp(); 
//		       		ionic.Platform.exitApp();
		     	//});
       			
       		}
//     		ionic.Platform.exitApp();
     	});
    };
})
/*** controller section end ***/
/*** service section begin ***/
.provider('Msdk', function(){
    var serverPrefix = '';
    var firstState = '';
    var PIC_STORE_METHOD = 'oss';
    var PIC_HTTP_PREFIX = 'http://bstoss.oss-cn-hangzhou.aliyuncs.com/';
    var user = {
        userId:1,
        loginCode:''
    };
    var session = {
        sessionId:''
    };
    var security = {
        pswSalt:'3c65df748db0bcbd9f368a45c1e1e7c8'
    };
    //默认toast的参数
	var DEFAULT_TOAST_TYPE = {
		DURATION: "short", //默认2000ms
		POSITION: "center" //定位屏幕中部
	};
    this.setServerPrefix = function(prefix){
        console.log("set server prefix: " + prefix);
        serverPrefix = prefix;
    }
    this.setFirstState = function(state){
        console.log("set first state: " + state);
        firstState = state;
    }
    this.$get = function($http, $state, $interval){
        return {
            postJSON:function(path, data, callback, options){
                $http.post(serverPrefix+path,
                    data,
                    {'Content-Type': 'application/json'}
                )
                .then(function(e){
                    if(e && e.data && e.data.success){
                        callback(e.data.returnObject);
                    }
                })
            }
            ,gotoFirstState:function(){
                $state.go(firstState);
            }
            ,logOut:function(){
            	YCQQ.logout();//退出qq
                window.localStorage.removeItem('sessionId');
                window.localStorage.removeItem('userId');
                window.localStorage.removeItem('thirdLoginInfo');
                $state.go('login');
            }
            /**
             * file.fileBase64 是文件的二进制编码， BASE64格式
             * file.fileType 文件扩展名，可选，默认jpg
             * file.userId 文件创建的用户，可选，默认当前登录用户
             * 返回 PFile对象
             */
            ,uploadFile:function(file, callback){
                file.fileType = file.fileType || 'jpg';
                file.userId = file.userId || user.userId;
                this.postJSON("/msdk/file/upload", file, callback);
            }
            ,getFilePath:function(fileId, callback){
                if(PIC_STORE_METHOD === 'oss'){
                    callback(PIC_HTTP_PREFIX+fileId);
                }
                else{
                     this.postJSON(
                        "/msdk/file/path", 
                        {fileId:fileId},
                        callback
                    )
                }
            }
            ,encryptPassword:function(s){
                return md5(security.pswSalt+s).toUpperCase();
            }
            ,checkUpdate:function(){
                return true;
            }
            /**
             * 支付宝生成支付二维码字符串
             * 请求：Object 属性示例：
             *       orderId:'1234'
             *       ,prodId:'1'
             *       ,prodName:'好喝咖啡'
             *       ,orderAmount:'0.01'
             * 返回：qrCode字符串
             */
            ,alipayPrecreateSingle:function(payInfo,callback){
                this.postJSON("/msdk/alipay/precreate_single",
                    payInfo,
                    function(e){
                        if(e && e.success){
                            callback(e.qrCode);
                        }
                    }
                );
            }
            /**
             * 支付宝等待用户支付(轮询方式)
             */
            ,alipayWaitingPay:function(orderId,successCallback,failCallback,delay,count){
                delay = delay ? delay : 5000;//默认等待5分钟
                count = count ? count+1 : 61; //默认增加一个循环的等待
                var self = this;
                var intervalId = $interval(
                    function(iteration){
                        //循环结束，超时
                        if(iteration === count-1){
                            $interval.cancel(intervalId);
                            failCallback();
                            return;
                        }
                        self.postJSON("/msdk/alipay/query",
                            {orderId:orderId},
                            function(e){
                                console.log(e);
                                if(e && e.success){
                                    if(e.tradeStatus === 'TRADE_SUCCESS'
                                    || e.tradeStatus === 'TRADE_FINISHED'){
                                        $interval.cancel(intervalId);
                                        successCallback();
                                        return;
                                    }
                                    else if(e.tradeStatus === 'TRADE_CLOSED'){
                                        $interval.cancel(intervalId);
                                        failCallback();
                                        return;
                                    }
                                    //e.tradeStatus === 'WAIT_BUYER_PAY' 等待付款
                                    //e.tradeStatus === 'MSDK_WAITING_SCAN' 订单还不存在
                                }
                                else{
                                    $interval.cancel(intervalId);
                                    failCallback();
                                    return;
                                }
                            }
                        );
                },
                delay,
                count);
            }
            /**
             * 微信下单接口（演示用）
             * 请求：Object 属性示例：
             *       orderId:'1234'
             *       ,prodId:'1'
             *       ,prodName:'好喝咖啡'
             *       ,orderAmount:'0.01'
             * 返回：qrCode字符串
             */
            ,weixinOrderDemo:function(payInfo,callback){
                this.postJSON("/msdk/weixin/order_demo",
                    payInfo,
                    function(e){
                        if(e && e.success){
                            callback(e.qrCode);
                        }
                    }
                );
            }
            /**
             * 微信等待用户支付（轮询方式）
             */
            ,weixinWaitingPay:function(orderId,successCallback,failCallback,delay,count){
                delay = delay ? delay : 5000;//默认等待5分钟
                count = count ? count+1 : 61; //默认增加一个循环的等待
                var self = this;
                var intervalId = $interval(
                    function(iteration){
                        //循环结束，超时
                        if(iteration === count-1){
                            $interval.cancel(intervalId);
                            failCallback();
                            return;
                        }
                        self.postJSON("/msdk/weixin/query",
                            {orderId:orderId},
                            function(e){
                                console.log(e);
                                if(e && e.success){
                                    //tradeState
                                    //SUCCESS—支付成功
                                    //REFUND—转入退款
                                    //NOTPAY—未支付
                                    //CLOSED—已关闭
                                    //REVOKED—已撤销（刷卡支付）
                                    //USERPAYING--用户支付中
                                    //PAYERROR--支付失败(其他原因，如银行返回失败)
                                    if(e.tradeState === 'SUCCESS'){
                                        $interval.cancel(intervalId);
                                        successCallback();
                                        return;
                                    }
                                    else if(
                                        e.tradeState === 'REFUND'
                                        || e.tradeState === 'CLOSED'
                                        || e.tradeState === 'REVOKED'
                                        || e.tradeState === 'PAYERROR'){
                                        $interval.cancel(intervalId);
                                        failCallback();
                                        return;
                                    }
                                    //e.tradeState === 'USERPAYING' 等待付款
                                    //e.tradeState === 'NOTPAY' 等待付款
                                }
                                else{
                                    $interval.cancel(intervalId);
                                    failCallback();
                                    return;
                                }
                            }
                        );
                },
                delay,
                count);
            },
    		/**
			 * 需要插件plugin : cordova-plugin-x-toast
			 * @param {Object} options:msg,duration
			 */
			showDefaultToast: function(options) {
				options = options || {};
				var message = options.message || "无消息";
				var duration = options.duration || DEFAULT_TOAST_TYPE.DURATION;
				var position = options.position || DEFAULT_TOAST_TYPE.POSITION;
				var addPixelsY = options.addPixelsY || 0;
				if(window.plugins && window.plugins.toast){
					window.plugins.toast.showWithOptions({
						message: message,
						duration: duration // short:2000 ms long:4000ms
							,
						position: position,
						addPixelsY: addPixelsY 
					});
				}
				else{
				    $ionicLoading.show({
				    	template: message,
						content: 'Loading',
				    	animation: 'fade-in',
						showBackdrop: false,
						maxWidth: 200,
						showDelay: 0,
						duration: 2000
					});
				}
			}
            ,user:user
            ,session:session
            ,getNewVersionNumber:function(ff){
            	/**
	             * 读取xml文件
	             * type 01 读取 服务器version.XML文件
	             */
				
			 	$http.get(PIC_HTTP_PREFIX+"bstapk/version.xml"+"?key=" + new Date().getTime())
					.then(function (response) {
						var objE = document.createElement("div");
						objE.innerHTML = response.data;
						var a = objE.getElementsByTagName("title")[0].innerHTML;
						var b = a.substring(4);
						ff(b)
					});
					
					
            }
        }
    }
})
/*** service section end ***/



.directive('zmSrc', function (Msdk) {
	var compSrc = "img/ico.svg";
//	var errSrc = "img/logo02.png";
   	return {
		restrict: 'A',
		scope : {
			fileId : '=zmSrc',
			errSrc : '@'
		},
		link: function (scope, element, attr) {
			scope.$watch('fileId', function smeSrcWatchAction(newValue, oldValue, scope) {
				if(!scope.fileId){
					if(scope.errSrc){
						attr.$set('src', scope.errSrc);
					}
					return;
				}
//				console.log("oldValue：" + oldValue + "___" + "newValue：" + newValue);
	          	//获取fileId
				var fileId = null;
				if(newValue) fileId = newValue;
				else fileId = scope.fileId;
				//获取图片  设置路径
				Msdk.getFilePath(fileId, function(e){
					attr.$set('src', e);
				});
	        });
		}
   	}
})

.factory("Myfactory",function(Msdk,$http,$ionicLoading,$ionicPopup){
	var myfac = {}
	
	var processMonth = function(s){
    	return s <10 ? '0'+s: ''+s;
    }
	
	//判断时间于当天间隔
	myfac.vtime = function(mydate){
		var date1 = new Date(mydate);
		var date2 = date1.getFullYear()+"-"+processMonth(date1.getMonth()+1)+"-"+processMonth(date1.getDate());
		var date = new Date();
		var today = date.getFullYear()+"-"+processMonth(date.getMonth()+1)+"-"+processMonth(date.getDate());
		var b = new Date(Date.parse(today))- new Date(Date.parse(date2));
		a = parseInt(b / (1000 * 60 * 60 * 24));
		return a;
	}
	
	/**
	 * 提示方法
	 * @param {Object} data
	 * message:提示信息 	:默认	：提示信息有误
	 * duration :提示显示时间 	默认 short
	 * position :提示位置 	默认 bottom
	 * type	: 提示类型 	默认toast(暂无其他类型)
	 */
	myfac.prompt = function(data){
		var msg = {
			      message: data.message?data.message:'提示信息有误!',
			      duration: data.duration?data.duration:'short', // which is 2000 ms. "long" is 4000. Or specify the nr of ms yourself. 
			      position: data.position?data.position:'bottom',
			      addPixelsY: -40  // added a negative value to move it up a bit (default 0) 
			    } 
		try{
			if (!data.type || data.type == 'toast') {
				window.plugins.toast.showWithOptions(msg);
			}
		}catch(e){
			alert(data.message)
		}
	}
	
	/**
	 * 判断是否问电话号码
	 * @param {Object} num
	 */
	myfac.isPhoneNum = function(num){
    	if(/^1[3|4|5|7|8]\d{9}$/.test(num)){
    		return true;
    	}else{
    		return false;
    	}
    }
	
	myfac.isTel = function(num){
		if(/^0\d{2,3}-\d{5,9}|0\d{2,3}-\d{5,9}/.test(num)){
    		return true;
    	}else{
    		return false;
    	}
	}
	
	/**
	 * 判断邮箱格式是否正确
	 * @param {Object} obj
	 */
	myfac.emailCheck = function(obj) {  
	    var pattern = /^([\.a-zA-Z0-9_-])+@([a-zA-Z0-9_-])+(\.[a-zA-Z0-9_-])+/;  
	     if (pattern.test(obj)) {
	        return true;
	    } else {
	        return false;
	    }
	}
	
	myfac.initNumber = function(obj,type) {  
	    var a = "";
    	if (obj) {
    		if (obj !== undefined) {
    			a = obj
    		}
    		if (type) {
    			for(i in type){
    				if (i == 'init' && a == "") {
    					a = type[i];
    				}
    				if (i == 'narrow' ) {
    					a = a/type[i];
    				}
    			}
    		}
    	}else{
    		a = 0;
    	}
        return a; 
	}
	
	myfac.getNewVersion = function(url,ff){
    	/**
         * 读取xml文件
         * type 01 读取 服务器version.XML文件
         */
	 	$http.get(url + "?key=" + new Date().getTime())
			.then(function (response) {
				var objE = document.createElement("div");
				objE.innerHTML = response.data;
				console.log(objE)
				var a = objE.getElementsByTagName("version")[0].innerHTML;
				var b = a.substring(4);
				var apkUrl = objE.getElementsByTagName("url")[0].innerHTML;
				//b为版本值,apkUrl为apk下载地址
				ff(a,apkUrl)
			});
    }
	
    myfac.UpdateForAndroid = function(url){
    	if (ionic.Platform.isIOS()) {
    		return;
    	}
    	myfac.getNewVersion(url,function(e1,apkUrl){
    		cordova.getAppVersion.getVersionCode(function(e2){
				if (e1 > e2) {
					var confirmPopup = $ionicPopup.confirm({
					  	title: '版本升级', // String. 弹窗标题。
					  	template: '当前应用有新的版本，是否更新?', // String (可选)。放在弹窗body内的html模板。
					  	cancelText: '取消', // String (默认: 'Cancel')。一个取消按钮的文字。
					  	okText: '更新', // String (默认: 'OK')。OK按钮的文字。
					}).then(function(res) {
				       	if(res) {
				       		downLodeApp(apkUrl);
				         	console.log('You are sure');
				       	} else {
				         	console.log('You are not sure');
				       	}
			     	});
					
				}else{
					myfac.prompt({message:"当前为最新版本"})
				}
			});
    	})
    }
	
	myfac.downApp = function(url){
		downLodeApp(url);
	}
	
    function downLodeApp(url) {
//    	var source = 'http://smeossdev.oss-cn-hangzhou.aliyuncs.com/wjfapk/wjf_zuhu.apk'; // 下载地址
      	var source = url;
      	var target = "/sdcard/Download/ionic.apk";
      	var trustAllHosts = true;
      	var options = {};
	      //FileTransfer这个类是cordova插件的方法，要使用文件下载new一个FileTransfer对象调用他的方法就好了
      	var fileTransfer = new FileTransfer();
	      /**这是官方给出的api 参数的解释  因为比较好懂这里需要注意下的是trustAllHosts参数
	       *trustAllHosts这个参数决定了 你能否下载当trustAllHosts=false时你的下载的链接必须有安全凭证，
	       * trustAllHosts=true的时候 你可以跳过安全凭证
	   * Downloads a file form a given URL and saves it to the specified directory.
	       * @param source {String}          URL of the server to receive the file
	       * @param target {String}         Full path of the file on the device
	       * @param successCallback (Function}  Callback to be invoked when upload has completed
	       * @param errorCallback {Function}    Callback to be invoked upon error
	       * @param trustAllHosts {Boolean} Optional trust all hosts (e.g. for self-signed certs), defaults to false
	       * @param options {FileDownloadOptions} Optional parameters such as headers
	       */
      	function successCallback(entry){
//   当下载成以后同过这个cordova方法你将打开你下载的最新app 固定格式 不做讲解 如果想知道cordova.plugins.fileOpener2插件的其他用法，可以看官方给的api
       		cordova.plugins.fileOpener2.open(
      		target,
      		'application/vnd.android.package-archive'
       		);
      		$ionicLoading.hide();
      	}
      	function errorCallback(error){
	     	//当apk下载失败做的操作
	     	$ionicLoading.show({
	            template: "下载失败"
	      	});
	      	$timeout(function () {
	      		$ionicLoading.hide()
	        }, 2000);
      	}
      //这个方法就是执行下载apk的方法 参数一定要写对 上面有对应的参数 自行查看 就不做讲解了
      fileTransfer.download(source, target, successCallback, errorCallback, trustAllHosts, options);
      //onprogress 是fileTransfer的属性   他是通过回调函数来更新下载进度的
      fileTransfer.onprogress = function(progressEvent) {
        if (progressEvent.lengthComputable) {
        $ionicLoading.show({
              template: "已经下载：" +Math.floor((progressEvent.loaded / progressEvent.total)*100) + "%"
            });
        }}
    }
	
    myfac.getValue = function(ff){
		var value = true;
		var msgdata = {}
		ff(value);
		return
		Msdk.postJSON('/test/getValue', msgdata, function(e){
			if (e === 'true') {
				value = true;
			}else{
				value = false;
			}
			ff(value);
		});
	}
	return myfac;
})
;
