angular.module('bstmobile')

/**
 * work-config
 */
.config(function($stateProvider) {
	$stateProvider

		.state('tab.article', {
			url: '/article',
			views: {
				'tab-article': {
					templateUrl: 'templates/article/tab-article.html',
					controller: 'ArticleCtrl'
				}
			}
		})
		.state('columnList', {

			url: '/columnList/:id/:name',
			id	: 'columnList1',
			templateUrl: 'templates/article/columnList.html',
			controller: 'ColumnList'

		})

})

.controller('ArticleCtrl', function($scope, $state, Msdk, $stateParams,$timeout,$ionicHistory) {
	$scope.code = [];
	$scope.message = {
		articlenum	: 0,
		newArticleNum :0
	};
	
	//状态 state1 是否获取文章状态 state2 是否处于下拉刷新状态
  	var stateMessage = {state1:false,state2:false}
	$scope.init = function() {	
		$scope.getArticleFType();
	}

	
	$scope.getArticleFType = function() {
		if (stateMessage.state1) {
			return;
		}
		stateMessage.state1 = true;
		$scope.data = {};
		Msdk.postJSON(
			"/article/getArticleFType",
			$scope.data,
			function(data) {
				stateMessage.state1 = false;
				if (data[data.length-1].result == "success") {
					var a = 0;
					$scope.code = [];
					for(var i = 0 ;i<data.length-1;i++){
						a = a + data[i].num;
						$scope.code.push(data[i]);
					}
					$scope.message.articlenum = a;
					$scope.message.newArticleNum = data[data.length-1].newArticleNum;
				}
				
			});
	}
	
	
	$scope.column = function(obj) {	
		
			$state.go('columnList', {
				id: obj.articleTypeId,
				name: obj.articleTypeName
			});
	
	}
	
	  //下拉刷新
	    $scope.doRefresh = function(){
	    	stateMessage.state1 = false;
	    	stateMessage.state2 = true;
	    	
//	    	var str1 = JSON.stringify($scope.firstChats);
			var str1 = $scope.code.slice(0);
	    	
	    	$scope.init();
			$timeout(function() {
	         	endRefresh(str1);
	   		}, 1000);
	    }
	    var endRefresh = function(str1){
	    	if (!stateMessage.state1) {
	    		var changeA = false;
	    		if (str1.length == $scope.code.length) {
	    			for(var i = 0;i<str1.length;i++){
	    				str1[i].$$hashKey = $scope.code[i].$$hashKey;
	    			}
	    			
	    			if (JSON.stringify(str1) !== JSON.stringify($scope.code)) {
	    				changeA = true;
	    			}
	    		}else{
	    			changeA = true;
	    		}
	    		
	    		if (!changeA) {
	    			newalert("暂无最新文章发布，请稍后再刷新！");
	    		}
	    		$scope.$broadcast('scroll.refreshComplete');
	    	}else{
	    		$timeout(function() {
		         	endRefresh(str1);
		   		}, 1000);
	    	}
	    }
	    
	    				//提示信息
	var newalert = function(message){
//		if (ionic.Platform.isIOS()) {
//			return;
//		}
		window.plugins.toast.showWithOptions(
		    {
		      message: message,
		      duration: "short", // which is 2000 ms. "long" is 4000. Or specify the nr of ms yourself. 
		      position: "bottom",
		      addPixelsY: -40  // added a negative value to move it up a bit (default 0) 
		    }
		);
	}

})
.controller('ColumnList', function($scope, $state, $filter, Msdk, $stateParams,$ionicHistory,$location,$timeout) {
	$scope.message = {
		id: $stateParams.id,
		name: $stateParams.name
	};
	var olderMessage = {
		olderIndex:-1,
		olderId	:-1,
		olderValue:""
	}
	$scope.columnListName = [];
	$scope.init = function(){
		$scope.getColumnListMessage();
		olderMessage.olderValue = $stateParams.id;
	}
	
	$scope.getColumnListMessage = function(){
		$scope.data = {
			parentTypeId : $stateParams.id
		};
		Msdk.postJSON(
			"/article/getColumnListMessage",
			$scope.data,
			function(data) {
				if (data[data.length-1].result == "success") {
					
					for(var i =0 ; i<data[data.length-1].articleTypeColumnList.length ;i++){
						if (data[data.length-1].articleTypeColumnList[i].PIC_ID == null || data[data.length-1].articleTypeColumnList[i].PIC_ID == "" || data[data.length-1].articleTypeColumnList[i].PIC_ID == undefined) {
							data[data.length-1].articleTypeColumnList[i].PIC_ID = data[data.length-1].articleTypeColumnList[i].typePicId;
						}
					}
					$scope.columnListName = data[data.length-1].sTypeList;
					$scope.chats = data[data.length-1].articleTypeColumnList;
					
					
					$scope.categoryClick(olderMessage.olderIndex,olderMessage.olderId);
				}
			});
	}
	
	
	$scope.isHide = {
		aa: true
	};
	$scope.onDragUp = function() {

		$scope.isHide.aa = false;
	}
	$scope.onDragDown = function() {

		$scope.isHide.aa = true;
	}
	$scope.onBack = function() {

		$scope.isHide.aa = true;
	}
	$scope.change = "按人气";
	$scope.order = "readCount";
	$scope.filters = "";
	$scope.class = {
		class: '',
			popularity: 'search-condition-on',
			newest: '',
			collection: '',
			category: 'search-condition-on',
			category1: '',
			category2: '',
			category3: '',
			category4: '',
	};
	
	//按人气
	$scope.popularityClick = function() {

		$scope.class.popularity = "search-condition-on";
		$scope.class.newest = "";
		$scope.class.collection = "";
		$scope.change = "按人气";
		$scope.order = "readCount";	

	}
		//按最新
	$scope.newestClick = function() {

		$scope.class.popularity = "";
		$scope.class.newest = "search-condition-on";
		$scope.class.collection = "";
		$scope.change = "按最新";
		$scope.order = "UPDATE_TIME";
	
	}
		//按收藏
	$scope.collectionClick = function() {

		$scope.class.popularity = "";
		$scope.class.newest = "";
		$scope.class.collection = "search-condition-on";
		$scope.change = "按收藏";
		$scope.order = "COLLECT_COUNT";	
	}

	//全部类别
	$scope.categoryClick = function(index,articleTypeId1) {
		olderMessage.olderId = articleTypeId1;
		olderMessage.olderIndex = index;
//		$scope.class.category = "search-condition-on";
		var list = $scope.columnListName;
		for (var i in list) {
			list[i].category = "";
		}
		if (index != -1) {
			list[index].category = "search-condition-on";
		
			$scope.class.category = "";
    		$scope.filters = articleTypeId1;
		}else{
			$scope.class.category = "search-condition-on";
    		$scope.filters = "";
		}
			
		
	
	}
//		//类别分类
//	$scope.category1Click = function(index, articleTypeId1) {
//		$scope.class.category = "";
//		var list = $scope.columnListName;
//		for (var i in list) {
//			list[i].category = "";
//		}
//		list[index].category = "search-condition-on";
//		
//		
//
//	}

		// $scope.dt1 = new Date();
		//
		//  //控制器中使用
		//  $scope.dt2 = $filter("date")($scope.dt1, "yyyy-MM-dd HH:mm:ss"); 

//	Msdk.postJSON(
//		"/columnList/columnList",
//		$scope.data,
//		function(data) {
//			$scope.chats = data;
//		});
//
//	Msdk.postJSON(
//				"/columnList/category",
//				$scope.data,
//				function(data) {
//					$scope.columnListName = data;
//				});

	//文章详情
	$scope.toDetail = function(IS_FEE,ARTICLE_ID,READ_SCORE){
		
		var msgdata = {
			userId		:Msdk.user.userId,
			articleId	:ARTICLE_ID,
		};
		Msdk.postJSON(
			"/article/toDetail",
			msgdata,
			function(e){
				if (e[0].success === 'success') {
					if(READ_SCORE==0 || e[0].buy >0 ){
						$state.go("detail_free",{
							ARTICLE_ID	:ARTICLE_ID,
							CONS_REMIND :e[0].CONS_REMIND
						});
					}else if(READ_SCORE > 0 && e[0].buy == 0 ){
						$state.go("detail_charge",{
							ARTICLE_ID	:ARTICLE_ID,
							CONS_REMIND :e[0].CONS_REMIND
						});
					}
				}else{
					newalert('当前文章已被管理人员下架，感谢您的关注！');
				}
				
			});
		
		
	}
	
	$scope.$on('$ionicView.beforeEnter',function(e,d){
       	$scope.message = {
			id: $stateParams.id,
			name: $stateParams.name
		};
		console.log($ionicHistory);
//		if ($ionicHistory.viewHistory().forwardView == null) {
//			$scope.popularityClick();
//			$scope.categoryClick(-1,-1);
//		}
		$scope.init();
    });
    $scope.goBack = function(){
//		$ionicHistory.nextViewOptions({
//		  disableBack: true
//		});
		var history =  $ionicHistory.backTitle();
		if (history == "文库") {
			$scope.categoryClick(-1,-1);
			$scope.popularityClick();
			if (document.getElementsByName("numli").length>0) {
				document.getElementsByName("numli")[0].scrollIntoView(false);
				$scope.isHide.aa = true;
			}
		
		}
		$ionicHistory.goBack();
    }
    
    
    	    				//提示信息
	var newalert = function(message){
//		if (ionic.Platform.isIOS()) {
//			return;
//		}
		window.plugins.toast.showWithOptions(
		    {
		      message: message,
		      duration: "short", // which is 2000 ms. "long" is 4000. Or specify the nr of ms yourself. 
		      position: "bottom",
		      addPixelsY: -40  // added a negative value to move it up a bit (default 0) 
		    }
		);
	}
})


;