angular.module('bstmobile')


.config(function($stateProvider){
	$stateProvider
	
	   .state('companyMember', {
	  		url : '/companyMember',
	  		templateUrl : 'templates/my/corporateMember/companyMember.html',
        	controller : 'CompanyMemberCtrl'
  		})
	   
	   .state('distributionRecord', {
		  	url : '/distributionRecord',
		  	templateUrl : 'templates/my/corporateMember/distributionRecord.html',
	        controller : 'DistributionRecordCtrl'
  		})
	   
	   .state('registration', {
		  	url : '/registration',
		  	templateUrl : 'templates/my/corporateMember/registration.html',
	        controller : 'RegistrationCtrl'
		})
	   
	   .state('integralDistribution', {
		  	url : '/integralDistribution',
		  	templateUrl : 'templates/my/corporateMember/integralDistribution.html',
	        controller : 'IntegralDistributionCtrl'
		})
	   
	   .state('memberMaintenance', {
		  	url : '/memberMaintenance',
		  	templateUrl : 'templates/my/corporateMember/memberMaintenance.html',
	        controller : 'memberMaintenanceCtrl'
		})

	   .state('maintenanceList', {
		  	url : '/maintenanceList',
		  	templateUrl : 'templates/my/corporateMember/maintenanceList.html',
	         controller : 'MaintenanceListCtrl'
		})
})

.controller('CompanyMemberCtrl',function($scope, $rootScope, $state, $stateParams,Msdk,$timeout){
	$scope.aMessage = [];
	$scope.isShow = {
		rs:false
	}
	$scope.init = function(){
        $scope.getAccountMessage();
	}
	
	$scope.getAccountMessage = function(){
		var msgdata = {
			userId		:Msdk.user.userId+"",
		};
		Msdk.postJSON(
			"/corporateMember/getCorporateMemberMessage",
			msgdata,
			function(e){
				if(e.length>1){
					if (e[0].num != 0 ) {
						$scope.isShow.rs = true;
						e[1].NAME = e[1].CORP_NAME;
					}
					
					//计算  充值积分 - 已分配积分
					if (!e[1].RECH_SCORE) {
						e[1].RECH_SCORE = 0;
					}
					if ((e[1].RECH_SCORE - e[1].SCORE_NUM)<e[1].myScore) {
						e[1].myScore = e[1].RECH_SCORE - e[1].SCORE_NUM;
						if (e[1].myScore<0) {
							e[1].myScore = 0;
						}
					}
					
					$scope.aMessage = e[1];
//					Msdk.user.aMessage = $scope.aMessage;
					
				}
			});
	}
	
	$scope.toRegister = function(){
		$state.go("registration");
	}
	
	$scope.toPrepaid = function(){
		if (ionic.Platform.isIOS()) {
//			prepaid/:scoreNum',
			$state.go("iosprepaid",{
				scoreNum:$scope.scoreNum
			});
		}else{
			$state.go("prepaid",{
				scoreNum:$scope.scoreNum
			});
		}
	}
})

//企业注册
.controller('RegistrationCtrl', function($scope, $state, $ionicPopup, $timeout ,$cordovaContacts,Msdk) { 
	//数据初始化 
		//状态 r1：是否正在注册用户
	$scope.messageState = {r1:false}
	$scope.aMessage = [];
	$scope.peopleObj = {
						name:"",
						tel:""
					};
	$scope.conName = {
						name:""
					};
	$scope.registration = [];
	var myPopup = "";
	
	//初始化方法
	$scope.init = function(){
		$scope.getAccountMessage();
	}
	//获取用户信息
	$scope.getAccountMessage = function(){
		var msgdata = {
			userId		:Msdk.user.userId+'',
		};
		Msdk.postJSON(
			"/corporateMember/getCorporateMemberMessage",
			msgdata,
			function(e){
				if(e.length>1){
//					if (e[0].num != 0 ) {
//						//$scope.isShow.rs = false
//					}
					$scope.aMessage = e[1] ;
				}
			});
	}
	//获取信息并修改
	$scope.getDetailMessage = function(num){
		var message = {};
		if (num != undefined) {
			message = $scope.registration[num];
		}else{
			message.name = $scope.aMessage.name;
			message.tel = $scope.aMessage.loginCode;
		}
		$ionicPopup.show({
			title: '成员修改',
			template:'<table>'+
				'<tr><td style="width:30%">姓名</td><td><input type="text" value="'+message.name+'" id="name"/></td></tr>'+
				'<tr><td>手机号</td><td><input type="text" disabled="disabled" value="'+message.tel+'" id="tel"/></td></tr>'+
			'</table>',
			 buttons:[{
			    text: '保存',
			    type: 'button-positive',
			    onTap: function(e) {
			    	if (num != undefined && document.getElementById("name").value != "") {
						$scope.registration[num].name = document.getElementById("name").value;
			    		$scope.registration[num].tel = document.getElementById("tel").value;
					}else{
						$scope.aMessage.name = document.getElementById("name").value;
			    		$scope.aMessage.loginCode = document.getElementById("tel").value;
					}
			    	
			    }
			  }]
		});
	}
 	//添加列表
	$scope.addList = function() {
		$scope.data = {};
        myPopup = $ionicPopup.show({
	         template: 	'<p ng-click=\"mailList()\">从手机通讯录选择</p><br>' +
	                 	'<p ng-click=\"add()\" >手动输入</p>' +
	                 	'<i ng-click=\"closeWin()\" class="ion-ios-close-empty closepop" ></i>',
	         title: '<p>请你选择添加成员的方式</p><hr class="pophr" />',
	         scope: $scope,
       	});
//      $timeout(function() {
//         myPopup.close(); 
// 		}, 2000);
	}
	
	//关闭窗口
	$scope.closeWin = function(a){
		console.log(a);
		myPopup.close(); 
	}
	//保存并继续
	$scope.saveAndGo = function(objType){
		
		var peopleObj = {
				name:"",
				tel:""
			}
		peopleObj.name = document.getElementById("name").value;
    	peopleObj.tel = document.getElementById("tel").value;
    	peopleObj.type = objType;
    	$scope.save(peopleObj);	
	}
	//添加
	$scope.add = function(obj) {
		var message = {name:'',tel:''};
		var str = '';
		if (obj!=undefined) {
			
			if ( (obj.type === '2' || obj.type === 2) && typeof obj.tel === "string") {
				message.name = obj.name ; 
				message.tel = obj.tel ;
				str = '<div><span>手机号</span><input type="text" placeholder="请输入手机号码"  value="'+message.tel+'" id="tel"/></div>';	
			}else if(obj.type === '2' || obj.type === 2){
				var str1 = '<select  ng-change="onchangerfc()"  ng-model="model1.tel">';
//				<option>Blue</option><option selected="">Green</option><option>Red</option></select>
				for (var i=0 ;i<obj.tel.length;i++) {
					if (i===0) {
						str1 = str1 +  '<option selected>'+obj.tel[i]+'</option>';
					}else{
						str1 = str1 +  '<option>'+obj.tel[i]+'</option>';
					}
					
				}
				str1 = str1 + '</select>';
				message.name = obj.name ; 
				message.tel = obj.tel[0];
				str = '<div><span>手机号</span>'+str1+
				'<input id="tel" name="input" value="'+message.tel+'"  style="position:absolute;width:123px;height:25px;left:76px;top:107px;border-bottom:0px;border-right:0px;border-left:0px;border-top:0px;"></div>';
			}
		}else{
			var obj = {};
			obj.type = '1';
			str = '<div><span>手机号</span><input type="text" placeholder="请输入手机号码"  value="'+message.tel+'" id="tel"/></div>';	
//			str = '<div><span>手机号</span><select  ng-change="onchangerfc()"  ng-model="model1.tel"><option>Blue</option><option selected="">Green</option><option>Red</option></select>'+
//			'<input id="tel" name="input" value="'+message.tel+'"  style="position:absolute;width:123px;height:25px;left:76px;top:107px;border-bottom:0px;border-right:0px;border-left:0px;border-top:0px;"></div>';
		}
		myPopup.close(); 
	 	 $scope.data = {}
		
		
       // 自定义弹窗
        myPopup= $ionicPopup.show({
         template:	'<div class="add-popbody">'+
					'<div><span style="width:30%">姓名</span><input type="text" placeholder="请输入姓名" value="'+message.name+'"  id = "name"/></div>'+
//					'<div><span>手机号</span><input type="text" placeholder="请输入手机号码"  value="'+message.tel+'" id="tel"/></div>'+
					str+
					'</div><p class="add-popbody-i">请输入正确的11位电话号码</p>' + 
					'<div class="add-popbody-buttom-div"><button class="add-popbody-buttom" ng-click=\"closeWin()\">取消</button>&nbsp;'+
					'<button class="add-popbody-buttom" ng-click=\"saveAndGo('+obj.type+')\">保存并继续</button></div>' ,
//					'<i ng-click=\"closeWin()\" class="ion-ios-close-empty closepop" ></i>',
         title: '添加成员',
         scope: $scope,
     
       });
	}
	
	$scope.model1 = {
		tel:''
	}
	$scope.onchangerfc = function(me){
		document.getElementById('tel').value=$scope.model1.tel;
	}
	
	//验证手机号
	function checkMobile(str) {
		var re = /^1[3|4|5|7|8]\d{9}$/
	    if (re.test(str)) {
	        return true;
	    } else {
	        return false;
	    }
	}
	//验证手机是否重复
	function verificationSameMobile(str){
		for(var i = 0; i<$scope.registration.length; i++){
			if ($scope.registration[i].tel === str) {
				
				return false;
			}
		}
		return true;
	}
	//手机号码格式修改
	var modifyMobile = function(str){
		if ( str.length === 13) {
			var objios = str.split('-');
			str = "";
			for (var i =0;i<objios.length;i++) {
				str = str + objios[i];
			}
		}
		if (str.length === 14) {
			str = str.substring(3);
		}
		if (str.length === 16) {
			str = str.substring(3);
			var objios = str.split('-');
			str = "";
			for (var i =0;i<objios.length;i++) {
				str = str + objios[i];
			}
		}
		if (str.length === 17) {
			str = str.substring(4);
			var objios = str.split('-');
			str = "";
			for (var i =0;i<objios.length;i++) {
				str = str + objios[i];
			}
		}
		return str;
	}
	//保存
	$scope.save = function(peopleObj){
		if (typeof peopleObj.tel !== "string") {
			for (var i=0 ;i<peopleObj.tel.length;i++) {
				peopleObj.tel[i] = modifyMobile(peopleObj.tel[i].value);
			}
			$scope.add(peopleObj);
			return;
		}
		peopleObj.tel = modifyMobile(peopleObj.tel);
		if (verificationSameMobile(peopleObj.tel)) {
			 if (checkMobile(peopleObj.tel)) {
	    		$scope.registration.push(peopleObj);
	    		newalert("添加成功！");
	    		if (peopleObj.type === 1 || peopleObj.type === '1') {
	    			$scope.add();
	    		}else if(peopleObj.type === 2 || peopleObj.type === '2'){
	    			$scope.mailList();
	    		}
	    	}else{
	    		if(peopleObj.type === '2' || peopleObj.type === 2){
	    			$scope.add(peopleObj);
	    		}
	    	}
		}else{
			newalert("该号码已添加！");
		}
	    	
				
	}
	//获取手机通讯录信息
	$scope.mailList = function(){
		myPopup.close(); 
			var peopleObj = {
				name:"",
				tel:""
			}
			$cordovaContacts.pickContact().then(function(contacts) {
				if( contacts != null){
					if (ionic.Platform.isIOS()) {
						peopleObj.name = contacts.name.formatted;
					} else{
						peopleObj.name = contacts.displayName;
					}
					
					if (contacts.phoneNumbers.length != 0) {
//						peopleObj.tel = contacts.phoneNumbers[0].value;
						
						if (contacts.phoneNumbers.length === 1) {
							peopleObj.tel = contacts.phoneNumbers[0].value;
						}else if (contacts.phoneNumbers.length > 1) {
							peopleObj.tel = contacts.phoneNumbers;
						}
					}
				}
				peopleObj.type = '2';
				$scope.save(peopleObj);	
				
			debugger          
		    }, function onError(contactError) {
		      debugger          
		    });
		}
	//删除
	$scope.delete = function(num) {
		$scope.data = {}
       // 自定义弹窗
       var myPopup = $ionicPopup.show({
         title: '删除该成员?',
         scope: $scope,
         buttons: [
           { text: '取消' },
           {
             text: '<b>确定</b>',
             onTap: function(e) {
             	//删除数组里面的元素
		        $scope.registration.splice(num,1);
             }
           },
         ]
       });
	}
	//企业注册	
	$scope.toRegister = function(){
		if ($scope.messageState.r1) {
			return
		}
		
		var msgdata = {
			userId		:Msdk.user.userId,
			staffMessage:$scope.registration,
			conName		:$scope.conName.name
		};
		if (msgdata.conName == "" || msgdata.conName == null) {
			alert('企业名字不能为空');
			return;
		}
		if ($scope.registration.length<1) {
			alert('要求员工人数不能低于6人');
			return;
		}
		$scope.messageState.r1 = true;
		Msdk.postJSON(
			"/corporateMember/toRegister",
			msgdata,
			function(e){
				$scope.messageState.r1 = false;
				if (e[(e.length-1)].result == "success") {
					for(var i=0;i<e.length-1;i++){
						if (e[i].success) {
							console.log("新注册的用户",e[i].user);
						}
						if (!e[i].success) {
							console.log("已注册的用户",e[i].user);
						}
					}
				}
				$state.go("companyMember");
			});	
	}

	$scope.clearText = function(){
		$scope.conName.name = "";
	}

				//提示信息
	var newalert = function(message){
//		if (ionic.Platform.isIOS()) {
//			return;
//		}
		window.plugins.toast.showWithOptions(
		    {
		      message: message,
		      duration: "short", // which is 2000 ms. "long" is 4000. Or specify the nr of ms yourself. 
		      position: "bottom",
		      addPixelsY: -40  // added a negative value to move it up a bit (default 0) 
		    }
		);
	}
	
	
		//点击边上关闭窗口
	 var htmlEl = angular.element(document.querySelector('html'));
      htmlEl.on("click", function(event) {
        if (event.target.nodeName === "HTML" &&
          myPopup) {
          myPopup.close();
        }
      });
})

.controller('IntegralDistributionCtrl',function($scope, $rootScope, $state, $stateParams, $ionicPopup,Msdk,$ionicHistory){
	
	$scope.getScopeMemberMaintenance = [];
	$scope.message = {
		zongjif : 	"",
		heji	:	0,
		fenpei	:	""
	}
	$scope.init = function(){
		$scope.getAccountMessage();
		var getScopeMemberMaintenance1 = [];
		if (Msdk.user.message != undefined) {
			for(var i = 0 ; i<Msdk.user.message.length;i++){
				if (Msdk.user.message[i].selected) {
					Msdk.user.message[i].num = i;
					getScopeMemberMaintenance1.push(Msdk.user.message[i]);
				}
			}	
			$scope.getScopeMemberMaintenance = getScopeMemberMaintenance1;
		}
	}
	
	
		$scope.getAccountMessage = function(){
		var msgdata = {
			userId		:Msdk.user.userId+"",
		};
		Msdk.postJSON(
			"/corporateMember/getCorporateMemberMessage",
			msgdata,
			function(e){
				if(e.length>1){
					//计算  充值积分 - 已分配积分
					if (!e[1].RECH_SCORE) {
						e[1].RECH_SCORE = 0;
					}
					if ((e[1].RECH_SCORE - e[1].SCORE_NUM)<e[1].myScore) {
						e[1].myScore = e[1].RECH_SCORE - e[1].SCORE_NUM;
						if (e[1].myScore<0) {
							e[1].myScore = 0;
						}
					}
					
					
					$scope.message.zongjif = e[1].myScore;
//					Msdk.user.aMessage = $scope.aMessage;
					
				}
			});
	}
	
	//删除需要分配的员工
	$scope.deleteUser = function(num,indx){
		$scope.getScopeMemberMaintenance.splice(indx,1);
		Msdk.user.message[num].selected = false;
		$scope.sum();
	}
	
	//监听分配积分
 	$scope.$watch('message.fenpei', function(newValue, oldValue) { 
   		if ( newValue<0 ) {
   			newValue = 0;
   			$scope.message.fenpei = 0;
   		}
 		if(!isNaN(newValue) && newValue * $scope.getScopeMemberMaintenance.length <$scope.message.zongjif){
 			for(var i = 0 ; i<$scope.getScopeMemberMaintenance.length;i++){
				$scope.getScopeMemberMaintenance[i].scrpScope = newValue;
			}
 			$scope.message.heji = newValue * $scope.getScopeMemberMaintenance.length;
 		}else{
 			$scope.message.fenpei = oldValue;
 		}
//  	console.log(newValue);
//  	console.log(oldValue);
	});  
	
//	//单独修改成员积分
//	$scope.changerScope = function(indx){
//		$ionicPopup.prompt({
//		   title: '请输入要修改的积分',
//		   cancelText:'取消',
//		   okText:"确定",
//		   inputText:"12",
//		   inputPlaceholder: $scope.getScopeMemberMaintenance[indx].scrpScope==""?"0":$scope.getScopeMemberMaintenance[indx].scrpScope,
//		}).then(function(res) {
//		   console.log('Your password is', res);
//		});
//	}
	$scope.changerScope = function(num,oldValue){
		$scope.sum();
	}
//计算合计
	$scope.sum = function(){
		$scope.message.heji = 0;
		for(var i = 0 ; i<$scope.getScopeMemberMaintenance.length;i++){
			if (parseInt($scope.getScopeMemberMaintenance[i].scrpScope)<0 ) {
				$scope.getScopeMemberMaintenance[i].scrpScope = 0;
			}
			var aa = parseInt($scope.getScopeMemberMaintenance[i].scrpScope);
			console.log(aa);
			if (isNaN(aa)) {
				aa = 0;
			}
			$scope.message.heji = $scope.message.heji + aa;
		}
	}

	//到成员列表
	$scope.toMaintenanceList = function(){
		$state.go("maintenanceList");
		//$scope.getAccountMessage();
	}
	

	//分配
	$scope.toTranslate = function(){
		if ($scope.message.heji>$scope.message.zongjif) {
			var alertPopup = $ionicPopup.alert({
		       title: '提示',
		       template: '积分不足！'
		    });
		    return;
		}
		if ($scope.message.heji == 0) {
			var alertPopup = $ionicPopup.alert({
		       title: '提示',
		       template: '请分配积分！'
		    });
		    return;
		}
		var chat = [];
		for (var i=0;i<$scope.getScopeMemberMaintenance.length;i++) {
			console.log($scope.getScopeMemberMaintenance[i].scrpScope);
			if ($scope.getScopeMemberMaintenance[i].scrpScope > 0) {
				chat.push($scope.getScopeMemberMaintenance[i])
			}
		}
		var msgdata = {
			userId		:Msdk.user.userId,
			memberMaintenance : chat,
			score	:	$scope.message.zongjif,
			heji	:	$scope.message.heji
		};
		Msdk.user.message = [];
		Msdk.postJSON(
			"/corporateMember/toTranslate",
			msgdata,
			function(e){
				if (e[0].success == "success") {
//					newalert('分配成功');
					$state.go("companyMember");
				}else{
					newalert('分配失败，请与客服联系');
				}
			});	
	}

	$scope.submit = function(){
//		document.getElementById("testarr").blur();
		var myinput = document.getElementsByName("myInput");
		for(var i = 0;i<myinput.length;i++){
			document.getElementsByName("myInput")[i].blur();
		}
	}
	
				//提示信息
	var newalert = function(message){
		window.plugins.toast.showWithOptions(
		    {
		      message: message,
		      duration: "short", // which is 2000 ms. "long" is 4000. Or specify the nr of ms yourself. 
		      position: "bottom",
		      addPixelsY: -40  // added a negative value to move it up a bit (default 0) 
		    }
		);
	}
	
	$scope.goBack = function(){
		Msdk.user.message = "";
		$ionicHistory.goBack();
	}
})

.controller('memberMaintenanceCtrl',function($scope, $rootScope, $state, $ionicPopup, $cordovaContacts,$timeout,Msdk,$ionicPopover){
	$scope.memberMaintenance = [];
	$scope.aMessage = {};
	var memberMaintenance1 = {};
	//初始化方法
	$scope.init = function(){
		$scope.getAccountMessage();
	}
	//获取用户信息
	$scope.getAccountMessage = function(){
		var msgdata = {
			userId		:Msdk.user.userId,
		};
		Msdk.postJSON(
			"/corporateMember/getCorpMessage",
			msgdata,
			function(e){
				if (e[0] != null ) {
					if (e.length>0) {
						$scope.aMessage = e[e.length-1];
						var user = [];
						for(var i = 0;i<e.length-1;i++){
							user.push(e[i]);
						}
						$scope.memberMaintenance = user;
						memberMaintenance1 = user.slice(0);
					}
				}
			});
	}
	
	//修改
	$scope.getDetailMessage = function(num){
		var message = {};
		if (num != undefined) {
			message = $scope.memberMaintenance[num];
		}
		$ionicPopup.show({
			title: '成员修改',
			template:'<table>'+
				'<tr><td style="width:30%">姓名</td><td><input type="text" value="'+message.userName+'" id="name"/></td></tr>'+
				'<tr><td>手机号</td><td><input type="text" disabled="disabled"  value="'+message.tel+'" id="tel"/></td></tr>'+
			'</table>',
			 buttons:[{
			    text: '保存',
			    type: 'button-positive',
			    onTap: function(e) {
			    	if (num != undefined && document.getElementById("name").value != "") {
						$scope.memberMaintenance[num].userName = document.getElementById("name").value;
			    		$scope.memberMaintenance[num].tel = document.getElementById("tel").value;
					}if (document.getElementById("name").value == "") {
						newalert('信息有误，请重新修改');
					}
						
					
			    }
			  }]
		});
	}
	//打开手机通讯录
	$scope.mailList = function(){
		myPopup.close(); 
		var peopleObj = {
			name:"",
			tel:""
		}
		$cordovaContacts.pickContact().then(function(contacts) {
			var usermessage = $scope.memberMaintenance;
			if( contacts != null){
				if (ionic.Platform.isIOS()) {
					peopleObj.userName = contacts.name.formatted;
				} else{
					peopleObj.userName = contacts.displayName;
				}
				if (contacts.phoneNumbers.length != 0) {
//					peopleObj.tel = contacts.phoneNumbers[0].value;
					if (contacts.phoneNumbers.length === 1) {
						peopleObj.tel = contacts.phoneNumbers[0].value;
					}else if (contacts.phoneNumbers.length > 1) {
						peopleObj.tel = contacts.phoneNumbers;
					}
				}
			}
			peopleObj.type = '2';
			$scope.save(peopleObj);	
//			usermessage.push(peopleObj);	
//			$scope.memberMaintenance = usermessage;
			
//		debugger          
	    }, function onError(contactError) {
//	      debugger          
	    });
	}
	//删除
	$scope.deleteMail = function(num){
		if ($scope.memberMaintenance.length < 6) {
			$ionicPopup.alert({title: '会员人数不得小于6人'});
			return;
		}
		if (memberMaintenance1.length <= num) {
			$scope.memberMaintenance.splice(num,1);
		}else{
			$scope.memberMaintenance[num].STATE = '02';
		}
	}
	//添加列表
	$scope.addList = function() {
		$scope.data = {};
        myPopup = $ionicPopup.show({
	         template: 	'<p ng-click=\"mailList()\">从手机通讯录选择</p><br>' +
	                 	'<p ng-click=\"add()\" >手动输入</p>' +
	                 	'<i ng-click=\"closeWin()\" class="ion-ios-close-empty closepop" ></i>',
	         title: '<p>请你选择添加成员的方式</p><hr class="pophr" />',
	         scope: $scope,
       	});
//   
	}
	

	$scope.closeWin = function(){
		myPopup.close(); 
	}
	//保存并继续
	$scope.saveAndGo = function(objType){
		
		var peopleObj = {
				userName:"",
				tel:""
			}
		peopleObj.userName = document.getElementById("name").value;
    	peopleObj.tel = document.getElementById("tel").value;
    	peopleObj.type = objType;
    	$scope.save(peopleObj);	
	}
	//添加
	$scope.add = function(obj) {
		var message = {name:'',tel:''};
		if (obj!=undefined) {
			if ( (obj.type === '2' || obj.type === 2)&& typeof obj.tel === "string") {
				message.name = obj.userName ;
				message.tel = obj.tel ;
				str = '<div><span>手机号</span><input type="text" placeholder="请输入手机号码"  value="'+message.tel+'" id="tel"/></div>';	
				
			}else if(obj.type === '2' || obj.type === 2){
				var str1 = '<select  ng-change="onchangerfc()"  ng-model="model1.tel">';
//				<option>Blue</option><option selected="">Green</option><option>Red</option></select>
				for (var i=0 ;i<obj.tel.length;i++) {
//					if (i===0) {
//						str1 = str1 +  '<option selected="selected">'+obj.tel[i]+'</option>';
//					}else{
						str1 = str1 +  '<option>'+obj.tel[i]+'</option>';
//					}
					
				}
				str1 = str1 + '</select>';
				message.name = obj.userName ; 
				message.tel = obj.tel[0];
				str = '<div><span>手机号</span>'+str1+
				'<input id="tel" name="input" value="'+message.tel+'"  style="position:absolute;width:123px;height:25px;left:76px;top:107px;border-bottom:0px;border-right:0px;border-left:0px;border-top:0px;"></div>';
			}
		}else{
			var obj = {};
			obj.type = '1';
			str = '<div><span>手机号</span><input type="text" placeholder="请输入手机号码"  value="'+message.tel+'" id="tel"/></div>';	
		}
		myPopup.close(); 
	 	$scope.data = {}

       // 自定义弹窗
        myPopup= $ionicPopup.show({
         template:'<div class="add-popbody">'+
				'<div><span style="width:30%">姓名</span><input type="text" placeholder="请输入姓名"  id = "name" value ="'+message.name+'"/></div>'+
				str+
				'</div><p class="add-popbody-i">请输入正确的11位电话号码</p>' + 
				'<div class="add-popbody-buttom-div"><button class="add-popbody-buttom" ng-click=\"closeWin()\">取消</button>&nbsp;<button class="add-popbody-buttom" ng-click=\"saveAndGo('+obj.type+')\">保存并继续</button></div>' ,
		title: '<span class="pop-tit">添加成员</span>',
         scope: $scope,
       });
	}
	
	$scope.model1 = {
		tel:''
	}
	$scope.onchangerfc = function(me){
		document.getElementById('tel').value=$scope.model1.tel;
	}
	
		//验证手机号
	function checkMobile(str) {
		var re = /^1[3|4|5|7|8]\d{9}$/
	    if (re.test(str)) {
	        return true;
	    } else {
	        return false;
	    }
	}
	//手机号码格式修改
	var modifyMobile = function(str){
		if ( str.length === 13) {
			var objios = str.split('-');
			str = "";
			for (var i =0;i<objios.length;i++) {
				str = str + objios[i];
			}
		}
		if (str.length === 14) {
			str = str.substring(3);
		}
		if (str.length === 16) {
			str = str.substring(3);
			var objios = str.split('-');
			str = "";
			for (var i =0;i<objios.length;i++) {
				str = str + objios[i];
			}
		}
		if (str.length === 17) {
			str = str.substring(4);
			var objios = str.split('-');
			str = "";
			for (var i =0;i<objios.length;i++) {
				str = str + objios[i];
			}
		}
		return str;
	}
	
	//验证手机是否重复
	function verificationSameMobile(str){
		for(var i = 0; i<$scope.memberMaintenance.length; i++){
			if ($scope.memberMaintenance[i].tel === str) {
				return false;
			}
		}
		return true;
	}
	//保存
	$scope.save = function(peopleObj){
		if (typeof peopleObj.tel !== "string") {
			for (var i=0 ;i<peopleObj.tel.length;i++) {
				peopleObj.tel[i] = modifyMobile(peopleObj.tel[i].value);
			}
			$scope.add(peopleObj);
			return;
		}
		peopleObj.tel = modifyMobile(peopleObj.tel);
		if (verificationSameMobile(peopleObj.tel)) {
			if (checkMobile(peopleObj.tel)) {
	    		$scope.memberMaintenance.push(peopleObj);
	    		newalert("添加成功！");
	    		if (peopleObj.type === 1 || peopleObj.type === '1') {
	    			$scope.add();
	    		}else if(peopleObj.type === 2 || peopleObj.type === '2'){
	    			$scope.mailList();
	    		}
	    	}else{
	    		if(peopleObj.type === '2' || peopleObj.type === 2){
	    			$scope.add(peopleObj);
	    		}
	    	}
		}else{
			newalert("该号码已存在！")
		}
	    	
				
	}
	

	
	
	//返回并保存
	$scope.complete = function(){
		$scope.maintainUser();
	}
	
	
	$scope.maintainUser = function(){
		var msgdata = {
			staff:$scope.memberMaintenance,
			updateNum : memberMaintenance1.length,
			userId		:	Msdk.user.userId,
			CORP_ID		:   $scope.aMessage.CORP_ID
		};
		Msdk.postJSON(
			"/corporateMember/maintainUser",
			msgdata,
			function(e){
				if (e!=null&&e.length>0) {
					if (e[e.length-1].success=="success") {
						$state.go("companyMember");
					}
				}

				
			});
	}
	
	var newalert = function(message){
		window.plugins.toast.showWithOptions(
		    {
		      message: message,
		      duration: "500", // which is 2000 ms. "long" is 4000. Or specify the nr of ms yourself. 
		      position: "bottom",
		      addPixelsY: -40  // added a negative value to move it up a bit (default 0) 
		    }
		);
	}
	
	//点击边上关闭窗口
	 var htmlEl = angular.element(document.querySelector('html'));
      htmlEl.on("click", function(event) {
        if (event.target.nodeName === "HTML" &&
          myPopup) {
          myPopup.close();
        }
      });
})
//积分分配记录
.controller('DistributionRecordCtrl', function($scope, $rootScope, $state, $stateParams, Msdk) {
	
	$scope.order = "CREATE_TIME";
	$scope.scoreDietCount = 0;
	$scope.distributionRecord = [];
	$scope.data = {
    	
    	userId : Msdk.user.userId
    	
    };
    Msdk.postJSON(
		"/corporateMember/getScorpIntegralMessage",
		$scope.data,
		function(data) {
            var score = 0;
			$scope.distributionRecord = data;
			for(var i =0 ; i< data.length ; i++){
				score = score + data[i].SCORE_NUM;
			}
			$scope.scoreDietCount = score;
		});
		
//  $scope.toKeepRecord = function() {
//  	
//  	$scope.data = {
//  	
//  	userId : Msdk.user.userId,
//  	scoreDistCount : $scope.distributionRecord.SCORE_DIST_COUNT
//  };
//  Msdk.postJSON(
//		"/distributionRecord/keepDistributionRecord",
//		$scope.data,
//		function(data) {
//          
//			//$scope.distributionRecord = data;
//			//$scope.go("integralDistribution");
//		});
//  }
    
})

.controller('MaintenanceListCtrl', function($scope, $rootScope, $state, $stateParams, Msdk) {
	
	$scope.memberMaintenance = [];	
	$scope.init = function(){
		$scope.getAccountMessage();
		
	}
		//获取用户信息
	$scope.getAccountMessage = function(){
		var msgdata = {
			userId		:Msdk.user.userId,
		};
		Msdk.postJSON(
			"/corporateMember/getCorpMessage",
			msgdata,
			function(e){
				if (e != null ) {
					
					if (e.length>0) {
						if (Msdk.user.message != undefined&&Msdk.user.message.length == (e.length-1) ) {
							$scope.memberMaintenance = Msdk.user.message;
							return;
						}
						$scope.aMessage = e[e.length-1];
						$scope.zongjif = $scope.aMessage.myScore;
						Msdk.user.zongjif = $scope.zongjif;
						var user = [];
						for(var i = 0;i<e.length-1;i++){
							e[i].scrpScope = 0;
							e[i].selected = false;
							user.push(e[i]);
						}
						$scope.memberMaintenance = user;
					}
				}
			});
	}

 	$scope.isSelect = function(num){
		$scope.memberMaintenance[num].selected = !($scope.memberMaintenance[num].selected);
	}
	
	$scope.goBack = function(){
		Msdk.user.message = $scope.memberMaintenance;
		$state.go("integralDistribution");
		
	}
})
