angular.module('bstmobile')

/**
 * work-config
 */
.config(function($stateProvider){
	$stateProvider

	.state('tab.my', {
	    url: '/my',
	    views: {
	        'tab-my': {
	          templateUrl : 'templates/my/tab-my.html',
	          controller : 'MyCtrl'
	        }
	    }
   })
	
	
	.state('translate', {
		url : '/translate',
		templateUrl : 'templates/my/translate.html',
	  	controller : 'TranslateCtrl'
	})
	.state('myCollection', {
		url : '/myCollection',
		templateUrl : 'templates/my/myCollection.html',
	  	controller : 'MyCollectionCtrl'
	})
//	.state('myCollectionEdit', {
//		url : '/myCollectionEdit',
//		templateUrl : 'templates/my/myCollectionEdit.html'
//	})
	.state('integralRecord', {
		url : '/integralRecord',
		templateUrl : 'templates/my/integralRecord.html',
	  	controller : 'IntegralRecordCtrl'
	})
	
	.state('mailingRecord', {
		url : '/mailingRecord',
		templateUrl : 'templates/my/mailingRecord.html',
	  	controller : 'MailingRecordCtrl'
	})
	
	.state('browsHistory', {
		url : '/browsHistory',
		templateUrl : 'templates/my/browsHistory.html',
	  	controller : 'BrowsHistoryCtrl'
	})
//	.state('browsHistoryEdit', {
//		url : '/browsHistoryEdit',
//		templateUrl : 'templates/my/browsHistoryEdit.html'
//	})
  	
    .state('invoicePost', {
      url : '/invoicePost',
      templateUrl : 'templates/my/invoicePost.html',
      controller : 'MyInvoicePostCtrl'
    })
 
    .state('myAccount', {
	  	url : '/myAccount/:scoreNum',
	  	templateUrl : 'templates/my/myAccount.html',
        controller : 'BmyAccountCtrl'
  	})
	.state('prepaid', {
	  	url : '/prepaid/:scoreNum',
	  	templateUrl : 'templates/my/prepaid.html',
        controller:'PrepaidCtrl'
        
	})
	.state('iosprepaid', {
	  	url : '/iosprepaid/:scoreNum',
	  	templateUrl : 'templates/my/iosprepaid.html',
        controller:'IosprepaidCtrl'
        
	})
	
})

 .controller('PrepaidCtrl', function($scope,$stateParams,Msdk,$state,$ionicPopup) {
 	//原有积分
 	$scope.scoreNum = 0;
 	//充值积分比例
 	$scope.proportion = 10;
 	//赠送积分
 	$scope.surplusScope = 0;
 	//充值金额列表
 	$scope.moneyClass = [
 		{
 			money	:	6,
 			scope	:	60
 		},
 		{
 			money	:	12,
 			scope	:	120
 		},
 		{
 			money	:	18,
 			scope	:	180
 		},
 		{
 			money	:	30,
 			scope	:	300
 		},
 		{
 			money	:	50,
 			scope	:	500
 		},
 		{
 			money	:	100,
 			scope	:	1000
 		}
 	];
	//自主输入输入金额
	$scope.money = {
		value	:	""
	}
	//充值金额
	//var payMoney = "";
	$scope.payMoney = 0;
	//交易流水账号
	var orderId = "";
	//可支付方式
	$scope.payType = [];
	//充值方式位置
	var payTypeNum = -1;
	
	$scope.init = function(){
		$scope.scoreNum = $stateParams.scoreNum;
		getPayMessage();
	}
	
	
	//获取充值页面需要信息
 	var getPayMessage = function(){
 		var msgdata = {
 			userId		:	Msdk.user.userId
 		};
 		Msdk.postJSON("/Pay/getPayMessage",
 			msgdata,
 		function(e){
 			if (e[e.length-1].result1 == 'success') {
 				var codeType = [];
 				for(var i = 0; i<e.length-1; i++){
 					if (e[i].NAME != '03') {
 						codeType.push(e[i]);
 					}
 				}
 				$scope.payType = codeType;
 			}
 			if (e[e.length-1].result2 == 'success') {
 				$scope.proportion = e[e.length-1].SCORE_NUM ;
// 				$scope.payMoney = 0;
// 				var codeClass = $scope.moneyClass;
// 				for(var i = 0; i<codeClass.length; i++){
// 					codeClass[i].scope = $scope.proportion * codeClass[i].money;
// 				}
// 				$scope.moneyClass = codeClass;
 			}
        });
 	}
	//选中的金额位置
	var selectedNum = 0;
	$scope.changerMoney = function(num){
		$scope.moneyClass[selectedNum].classType = "";
		$scope.moneyClass[num].classType = "list-prepaid-on";
		selectedNum = num;
		$scope.payMoney = $scope.moneyClass[num].money;
		$scope.money.value = ""
		$scope.surplusScope = ($scope.proportion -10)* $scope.payMoney;
		
	}
 	
 	//判断input框中内容
 	$scope.$watch('money.value', function(newValue, oldValue) { 
 		if ( newValue == "" ) {
 			return;
 		}
// 		if(!isNaN(newValue) &newValue>0){
		if(numberCheck(newValue)){
 			$scope.moneyClass[selectedNum].classType = "";
 			$scope.payMoney = newValue;
 			$scope.surplusScope = ($scope.proportion -10)* $scope.payMoney;
 		}else{
 			$scope.money.value = oldValue;
 		}
//  	console.log(newValue);
//  	console.log(oldValue);
	});  
	
	//判断是否为正整数
	function numberCheck(obj) {  
	    var pattern = /^[0-9]*[1-9][0-9]*$/;  
	     if (pattern.test(obj)) {
	        return true;
	    } else {
	        return false;
	    }
	}
	
 	//清除input框内容
 	$scope.empty = function(){
 		$scope.payMoney = 0;
 		$scope.money.value = "";
 	}
 	//获取支付方式
   	$scope.getPayType = function(payId){
   		payTypeNum = payId;
   		if ($scope.payMoney == "" || $scope.payMoney == 0 || payTypeNum == -1) {
			document.getElementById("myButton").disabled = true;
		}else{
			document.getElementById("myButton").disabled = false;
		}
   	}
 	
 	$scope.topay = function() {
   		createOrder();
//      weixinpayDemo();
 	}
 	
 	var weixinpayDemo = function(){
        Msdk.postJSON(
            "/msdk/weixin/demo/app_pay",
            {
                out_trade_no:"221",
                total_fee:"0.01",
                body:"测试商品的详情2",
                spbill_create_ip:"114.55.92.162"
            },
            function(e){
                debugger
                console.log(e);
//              var params = {
//                  partnerid: e.partnerid, // merchant id
//                  prepayid: e.prepayid, // prepay id
//                  noncestr: e.noncestr, // nonce
//                  timestamp: e.timestamp, // timestamp
//                  sign: e.sign // signed string
//              };
//              console.log(params)
                Wechat.sendPaymentRequest(e, function () {
                    alert("Success");
                }, function (reason) {
                    alert("Failed: " + reason);
                });
            }
        );
 	}
 	
 	
 	$scope.$watch('payMoney',function(newVal,oldVal){
		if ($scope.payMoney == "" || $scope.payMoney == 0 || payTypeNum == -1) {
			document.getElementById("myButton").disabled = true;
		}else{
			document.getElementById("myButton").disabled = false;
		}
	},true);
	
	
 	
 	//创建订单
 	var createOrder = function(){
 		if ($scope.payMoney == "" || $scope.payMoney == 0) {
 			alert("请输入金额");
 			return;
 		}
 		if (payTypeNum == -1) {
 			alert("请选中支付方式");
 			return;
 		}
 		
 		var msgdata = {
 			userId		:	Msdk.user.userId,
 			RECH_SCORE	:	$scope.proportion * $scope.payMoney,
 			PAY_MODE	:	$scope.payType[payTypeNum].NAME,
 			RECH_AMOUNT	:	$scope.payMoney+"",
 			SYS_TYPE	:	ionic.Platform.isIOS()?"02":"01"
 		};
 		$scope.signStr = "";
 		
 		Msdk.postJSON("/Pay/createOrder",
 			msgdata,
 		function(e){
 			orderId = e[0].DONE_CODE;
	        if ($scope.payType[payTypeNum].NAME == '02') {
	            //调用支付宝移动支付
	            if (e.length>1) {
	            	$scope.signStr=e[1];
	           		cordova.plugins.AliPay.pay($scope.signStr,alipaySuccess, alipayError);
	            }
	            
		 	}else if($scope.payType[payTypeNum].NAME == '01'){
		 		if (e.length>1) {
		 			 Wechat.sendPaymentRequest(e[1], function () {
	                    alipaySuccess();
	                }, function (reason) {
	//                  alert("Failed: " + reason);
	                   	$ionicPopup.alert({
				 			title:"支付失败: " + reason
				 		});
	                });
		 		}
		 	}
			
        });
 	}
 	
 	//支付成功时
 	var alipaySuccess = function(e){
 		updateOrder(e);
 	}
 	//支付失败时
 	var alipayError = function(e){
// 		alert("支付失败");
 	 	$ionicPopup.alert({title:e.memo});
 	}
 	//更新订单
 	var updateOrder = function(e){
 		var msgdata = {
 			userId		:	Msdk.user.userId,
 			orderId		:	orderId,
 			RECH_SCORE	:	$scope.proportion * $scope.payMoney,
 			PAY_MODE	:	$scope.payType[payTypeNum].NAME
 		};
 		if ($scope.payType[payTypeNum].NAME == '02') {
 			msgdata.payMessage = e.result
 		}
 		Msdk.postJSON("/Pay/updateOrder",
 			msgdata,
 		function(e){
 			if (e.success) {
 				$ionicPopup.alert({
					title: '支付成功!'
				});
	//			alert("支付成功");
				$state.go("tab.my");
 			}
 			
        });
 	}
 	
})   
.controller('IosprepaidCtrl', function($scope,$stateParams,Msdk,$state,$ionicPopup) {
 	//原有积分
 	$scope.scoreNum = $stateParams.scoreNum;
 	//充值积分比例
 	$scope.proportion = 10;
 	//赠送积分
 	$scope.surplusScope = 0;
 	
 	var orderId = "";
 	var is = false;
 	
 	
 	
 	//充值金额列表
 	$scope.moneyClass = [
 		{
 			money	:	6,
 			scope	:	60,
 			productid: "cn.com.dexinkj.bstmobile.jifen60"
 		},
 		{
 			money	:	30,
 			scope	:	300,
 			productid: "cn.com.dexinkj.bstmobile.jifen300"
 		},
 		{
 			money	:	60,
 			scope	:	600,
 			productid: "cn.com.dexinkj.bstmobile.jifen600"
 		},
 		{
 			money	:	128,
 			scope	:	1280,
 			productid: "cn.com.dexinkj.bstmobile.jifen1280"
 		},
 		{
 			money	:	268,
 			scope	:	2680,
 			productid: "cn.com.dexinkj.bstmobile.jifen2680"
 		},
 		{
 			money	:	698,
 			scope	:	6980,
 			productid: "cn.com.dexinkj.bstmobile.jifen6980"
 		}
 	];
	
	$scope.init = function(){
		$scope.getPayMessage();
	}
	
	var selectedNum = 0;
 	$scope.changerMoney = function(num){
		$scope.moneyClass[selectedNum].classType = "";
		$scope.moneyClass[num].classType = "list-prepaid-on";
		selectedNum = num;
		$scope.payMoney = $scope.moneyClass[num].money;
		$scope.surplusScope = ($scope.proportion -10)* $scope.payMoney;
		
	}
	$scope.topay = function(e){
		console.log("ios pay");
		store.order($scope.moneyClass[selectedNum].productid);
	}
 
 		//获取充值页面需要信息
	 	$scope.getPayMessage = function(){
	 		var msgdata = {
	 			userId		:	Msdk.user.userId
	 		};
	 		Msdk.postJSON("/Pay/getPayMessage",
	 			msgdata,
	 		function(e){
	 			if (e[e.length-1].result1 == 'success') {
	 				var codeType = [];
	 				for(var i = 0; i<e.length-1; i++){
	 					if (e[i].NAME == '03') {
	 						is = true;
	 					}
	 				}
	 				$scope.payType = codeType;
	 			}
	 			if (e[e.length-1].result2 == 'success') {
	 				$scope.proportion = e[e.length-1].SCORE_NUM ;
	 			}
	        });
	 	}
	 	
	 	//创建订单
 	var createOrder = function(){
 		if (!is) {
 			alert("pay支付未开启");
 			return;
 		}
 		var msgdata = {
 			userId		:	Msdk.user.userId,
 			RECH_SCORE	:	$scope.proportion * $scope.payMoney,
 			PAY_MODE	:	'03',
 			RECH_AMOUNT	:	$scope.payMoney+""
 		};
 		
 		Msdk.postJSON("/Pay/createOrder",
 			msgdata,
 		function(e){
 			orderId = e[0].DONE_CODE;
 			
        });
 	}
	 
	$scope.$watch('payMoney',function(newVal,oldVal){
		if ( $scope.payMoney == undefined) {
			document.getElementById("myButton").disabled = true;
		}else{
			document.getElementById("myButton").disabled = false;
		}
	},true);
	 	
})   
//签到
.controller('TranslateCtrl', function($scope, $state,Msdk) { 
	$scope.qiandaoButton = "立即签到";
	var a = 0;
	//已签到天数
	$scope.numDate = 0;
	$scope.numDate1 = 0;
	//签到情况
	$scope.qian = [];
	$scope.message = "";
	var qian1 = [
		{
			dt		:	'第一天',
			isqian	:	false,
			t		: 	1
		},{
			dt		:	'第二天',
			isqian	:	false,
			t		: 	2
		},{
			dt		:	'第三天',
			isqian	:	false,
			t		: 	3
		},{
			dt		:	'第四天',
			isqian	:	false,
			t		: 	4
		},{
			dt		:	'第五天',
			isqian	:	false,
			t		: 	5
		},{
			dt		:	'第六天',
			isqian	:	false,
			t		: 	6
		},{
			dt		:	'第七天',
			isqian	:	false,
			t		: 	7
		}
	];
	//签到信息
	//方法状态   state1 是否在签到 state3:是否在读取签到数据
	var stateMessage = {
		state1 : false,
		state3 : false
	}
	$scope.test = "";
	$scope.init = function(){
		$scope.getSignMessage();
	}
	
		//获取签到信息
    var processMonth = function(s){
        return s<10 ? "0"+s : "" +s;
    }
	$scope.getSignMessage = function(){
		if (stateMessage.state3) {
			return
		}
		stateMessage.state3 = true;
		var msgdata = {userId:Msdk.user.userId+""};
		Msdk.postJSON(
			"/sign/getSignMessage",
			msgdata,
			function(e){
				stateMessage.state3 = false;
				if(e[0] != null){
					var date1 = new Date(e[0].SIGN_TIME);
					var date2 = date1.getFullYear()+"-"+processMonth(date1.getMonth()+1)+"-"+processMonth(date1.getDate());
					var date = new Date();
					var today = date.getFullYear()+"-"+processMonth(date.getMonth()+1)+"-"+processMonth(date.getDate());
					var b = new Date(Date.parse(today))- new Date(Date.parse(date2));
					//a:上一次签到相隔几天
					a = parseInt(b / (1000 * 60 * 60 * 24));
					if (a>1 || (e[0].SIGN_COUNT==7 && a==1)) {
						$scope.numDate1 = 0;
						$scope.numDate = $scope.numDate1;
					}else{
						if (e[0].SIGN_COUNT != undefined) {
							$scope.numDate1 = e[0].SIGN_COUNT;
						}else{
							$scope.numDate1 = 0;
						}
						
						$scope.numDate = $scope.numDate1;
						if (a == 0) {
							$scope.numDate = $scope.numDate1 -1;
							qian1[$scope.numDate].isqian = true;
						}
					}
					$scope.qian = qian1;
				}else{
					$scope.qian = qian1;
					$scope.numDate1 = 0;
					a = 1;
					//$scope.numDate = $scope.numDate1;
				}
				if (a == 0) {
					$scope.qiandaoButton = "已签到";
				}else{
					$scope.qiandaoButton = "立即签到";
				}
				if ($scope.numDate1 < 7) {
					showValue = e[$scope.numDate1+1].VALUE;
				}
			
			});
	}
	
			//a.判断是否点击签到按钮
       $scope.qiandao = function(){
    	
    	if (stateMessage.state1 || a == 0) {
    		return;
    	}
    	stateMessage.state1 = true;
    	var msgdata = {userId:Msdk.user.userId+"",SYS_TYPE:ionic.Platform.isIOS()?"02":"01"};
		Msdk.postJSON(
			"/sign/toSign",
			msgdata,
			function(e){
				stateMessage.state1 = false;
				if (e[0].success == "success") {
		    		$scope.numDate1 = $scope.numDate +1;
		    		qian1[$scope.numDate].isqian = true;
					newalert();
		    		$scope.qiandaoButton = '已签到'
				}else if (e[0].success == "Already") {
					$scope.numDate1 = $scope.numDate +1;
		    		qian1[$scope.numDate].isqian = true;
		    		$scope.qiandaoButton = '已签到'
				}else{
					$scope.qiandaoButton = '立即签到'
					//若失败可以再次点击签到按钮
					
				}
			});
    }
	
		//签到提示框
	var newalert = function(){
//		if (ionic.Platform.isIOS()) {
//			return;
//		}
		  window.plugins.toast.showWithOptions(
		    {
		      message: "签到成功\n+"+showValue+"积分",
		      duration: "short", // ms 
		      position: "center",
		      addPixelsY: 0, 
		      addPixelsX: 0,// (optional) added a negative value to move it up a bit (default 0)
		      data: {'foo':'bar'}, 
		      // (optional) pass in a JSON object here (it will be sent back in the success callback below)
		   	 styling: {
//			       	opacity: 0.75, // 0.0 (transparent) to 1.0 (opaque). Default 0.8 
//				    cornerRadius: 16, // minimum is 0 (square). iOS default 20, Android default 100 
//				    horizontalPadding: 95, // iOS default 16, Android default 50 
//				    verticalPadding: 40,
				    
			    }
		    }
		  );
	}
})
//我的收藏
.controller('MyCollectionCtrl', function($scope, $state, $filter, Msdk,$ionicHistory) {
	$scope.num = 0;
	var checkArr = [];
	$scope.chats = [];
	$scope.check = "编辑";
	$scope.value = '返回';
	$scope.classgoback = 'button button-clear back-big icon ion-ios-arrow-back';
	$scope.order = 'time';
	$scope.isShowCheckbox = {
		rs: false
	};
	$scope.edit = function(rs) {
		if (!rs) {
			$scope.isShowCheckbox.rs = true;
			$scope.check = "取消";
			$scope.value = '删除('+$scope.num+")";
			$scope.classgoback = 'button button-clear back-big ';
			//return;
		} else {
			$scope.isShowCheckbox.rs = false;
			$scope.check = "编辑";
			for (var i in $scope.chats) {
				$scope.chats[i].checked = false;
			}
			$scope.value = '返回';
			$scope.classgoback = 'button button-clear back-big icon ion-ios-arrow-back';
		}

	}

	$scope.leftButton = function(){
		if(!$scope.isShowCheckbox.rs){
			$ionicHistory.goBack();
		}else{
			$scope.editMyCollectionClick();
		}
	}

	//删除收藏
	$scope.editMyCollectionClick = function() {

		for (var i in $scope.chats) {
			if ($scope.chats[i].checked == true) {
				checkArr.push($scope.chats[i].ARTICLE_ID);
			}
		}
		$scope.data1 = {
			articleIds: checkArr,
			userId	:Msdk.user.userId+""
		};
		Msdk.postJSON(
			"/myCollection/changeMyCollection",
			$scope.data1,
			function(e) {
				if (e.success) {
					$scope.isShowCheckbox.rs = false;
					$scope.check = "编辑";
				}
				$scope.value = '返回';
				$scope.classgoback = 'button button-clear back-big icon ion-ios-arrow-back';
				load();
				
				//              window.location.reload();

			});

	}
	
	function load() {
		$scope.data = {
			userId: Msdk.user.userId+""
		};	

		Msdk.postJSON(
			"/myCollection/myCollection",
			$scope.data,
			function(data) {
				for(var i= 0; i<data.length;i++){
					data[i].picId = data[i].picId!=''?data[i].picId:data[i].typePicId;
				}
				$scope.chats = data;
			});
	}

	load();
	
//文章详情
	$scope.toDetail = function(IS_FEE,ARTICLE_ID,READ_SCORE){
		
		var msgdata = {
			userId		:Msdk.user.userId,
			articleId	:ARTICLE_ID,
		};
		Msdk.postJSON(
			"/article/toDetail",
			msgdata,
			function(e){
				if (e[0].success === 'success') {
					if(READ_SCORE==0 || e[0].buy >0 ){
						$state.go("detail_free",{
							ARTICLE_ID	:ARTICLE_ID,
							CONS_REMIND :e[0].CONS_REMIND
						});
					}else if(READ_SCORE > 0 && e[0].buy == 0 ){
						$state.go("detail_charge",{
							ARTICLE_ID	:ARTICLE_ID,
							CONS_REMIND :e[0].CONS_REMIND
						});
					}
				}else{
					newalert('当前文章已被管理人员下架，感谢您的关注！');
				}
				
			});
	}
	
	$scope.$watch('chats',function(newVal,oldVal){
		if ( !$scope.isShowCheckbox.rs) {
			return
		}
		$scope.num = 0;
		checkArr = [];
		for (var i in $scope.chats) {
			if ($scope.chats[i].checked == true) {
				checkArr.push($scope.chats[i].ARTICLE_ID);
			}
		}
		$scope.num = checkArr.length;
		$scope.value = '删除('+$scope.num+")";
	},true);
	
		    				//提示信息
	var newalert = function(message){
//		if (ionic.Platform.isIOS()) {
//			return;
//		}
		window.plugins.toast.showWithOptions(
		    {
		      message: message,
		      duration: "short", // which is 2000 ms. "long" is 4000. Or specify the nr of ms yourself. 
		      position: "bottom",
		      addPixelsY: -40  // added a negative value to move it up a bit (default 0) 
		    }
		);
	}
})
//浏览历史
.controller('BrowsHistoryCtrl', function($scope, $state, $filter, Msdk,$ionicTabsDelegate,$ionicHistory) {
	$scope.num = 0;
	$scope.order = 'time';
	var checkArr1 = [];
	var checkArr2 = [];
	var checkArr3 = [];
	$scope.chats = [];
	$scope.check1 = "编辑";
	$scope.value = '返回';
	$scope.classgoback = 'button button-clear back-big icon ion-ios-arrow-back';
	$scope.isShowCheckbox = {
		ss: false
	};
	$scope.edit1 = function(ss) {
		if (!ss) {
			$scope.isShowCheckbox.ss = true;
			$scope.check1 = "取消";
			$scope.value = '删除('+$scope.num+")";
			$scope.classgoback = 'button button-clear back-big ';
			//return;
		} else {
			$scope.isShowCheckbox.ss = false;
			$scope.check1 = "编辑";
			$scope.value = '返回';
			$scope.classgoback = 'button button-clear back-big icon ion-ios-arrow-back';
		}

	}
	
	$scope.leftButton = function(){
		if(!$scope.isShowCheckbox.ss){
			$ionicHistory.goBack();
		}else{
			$scope.editBrowsHistoryClick();
		}
	}
	//	//删除阅读历史
	//阅读历史
	function load1() {

		Msdk.postJSON(
			"/browsHistory/browsHistory", {
				lookType: '01',
				userId: Msdk.user.userId
			},
			function(data) {
				for(var i= 0; i<data.length;i++){
					data[i].picId = data[i].picId!=''?data[i].picId:data[i].typePicId;
				}
				$scope.readChats = data;
			});
	}
	
	
	//删除分享历史
	$scope.editBrowsHistoryClick = function() {
			checkArr1 = [];
			for (var i in $scope.readChats) {
				if ($scope.readChats[i].checked == true) {
					checkArr1.push($scope.readChats[i].ARTICLE_ID);
				}
			}
			checkArr2 = [];
			for (var i in $scope.shareChats) {
				if ($scope.shareChats[i].checked == true) {
					checkArr2.push($scope.shareChats[i].ARTICLE_ID);
				}
			}
			checkArr3 = [];
			for (var i in $scope.searchChats) {
				if ($scope.searchChats[i].checked == true) {
					checkArr3.push($scope.searchChats[i].SEARCH_ID);
				}
			}
			if (checkArr1.length>0) {
				Msdk.postJSON(
				"/browsHistory/changeBrowsHistory", {
					articleIds: checkArr1,
					lookType: '01',
					userId : Msdk.user.userId+""
				},
				function(e) {

					//$scope.data.articleIds = e.checkArr;
					//window.location.reload();
					load1();
					$scope.isShowCheckbox.ss = false;
					$scope.check1 = "编辑";
					$scope.value = '返回';
					$scope.classgoback = 'button button-clear back-big icon ion-ios-arrow-back';
				});
			}

			if (checkArr2.length>0) {
				Msdk.postJSON(
					"/browsHistory/changeBrowsHistory", {
						articleIds: checkArr2,
						lookType: '02',
						userId : Msdk.user.userId+''
					},
					function(e) {
	
						//$scope.data.articleIds = e.checkArr;
						//window.location.reload();
						load2();
						$scope.isShowCheckbox.ss = false;
						$scope.check1 = "编辑";
						$scope.value = '返回';
						$scope.classgoback = 'button button-clear back-big icon ion-ios-arrow-back';
					});

			}
			if (checkArr3.length>0) {
				Msdk.postJSON(
					"/searchHistory/changeSearchHistory", {
						searchIds: checkArr3,
						userId : Msdk.user.userId+""
					},
					function(e) {
	
						//$scope.data.searchIds = e.checkArr;
						//window.location.reload();
						load3();
						$scope.isShowCheckbox.ss = false;
						$scope.check1 = "编辑";
						$scope.value = '返回';
						$scope.classgoback = 'button button-clear back-big icon ion-ios-arrow-back';
					});
			}
		}
		//分享历史
	function load2() {

		Msdk.postJSON(
			"/browsHistory/browsHistory", {
				lookType: '02',
				userId: Msdk.user.userId+""
			},
			function(data) {
				for(var i= 0; i<data.length;i++){
					data[i].picId = data[i].picId!=''?data[i].picId:data[i].typePicId;
				}
				$scope.shareChats = data;
			});
	}
	
	//清空历史记录
	$scope.deleteHistoryClick = function() {

		$scope.data = {
			userId: Msdk.user.userId
		};
		Msdk.postJSON(
			"/searchHistory/deleteHistory",
			$scope.data,
			function(e) {
				 $scope.searchChats = [];
				//window.location.reload();
				// $scope.data.searchIds = e.checkArr;
			});
	}

	//搜索历史
	function load3() {

		var msgdata = {userId : Msdk.user.userId+""};
		Msdk.postJSON(
			"/homeSearchHistory/getHomeSearchHistory",
			msgdata,
			function(data) {
				$scope.searchChats = data;
			});

//		Msdk.postJSON(
//			"/searchHistory/searchHistory", {
//				userId: Msdk.user.userId
//			},
//			function(data) {
//				$scope.searchChats = data;
//			});
	}
	
	
//文章详情
	$scope.toDetail = function(IS_FEE,ARTICLE_ID,READ_SCORE){
		
		var msgdata = {
			userId		:Msdk.user.userId,
			articleId	:ARTICLE_ID,
		};
		Msdk.postJSON(
			"/article/toDetail",
			msgdata,
			function(e){
				if (e[0].success === 'success') {
					if(READ_SCORE==0 || e[0].buy >0 ){
						$state.go("detail_free",{
							ARTICLE_ID	:ARTICLE_ID,
							CONS_REMIND :e[0].CONS_REMIND
						});
					}else if(READ_SCORE > 0 && e[0].buy == 0 ){
						$state.go("detail_charge",{
							ARTICLE_ID	:ARTICLE_ID,
							CONS_REMIND :e[0].CONS_REMIND
						});
					}
				}else{
					newalert('当前文章已被管理人员下架，感谢您的关注！');
				}
			
			});
		
		
	}
	
	$scope.$watch('readChats',function(newVal,oldVal){
		if (oldVal ==undefined || !$scope.isShowCheckbox.ss) {
			return
		}
		$scope.num = 0;
		checkArr1 = [];
		for (var i in $scope.readChats) {
			if ($scope.readChats[i].checked == true) {
				checkArr1.push($scope.readChats[i].ARTICLE_ID);
			}
		}
		$scope.num = checkArr1.length;
		$scope.value = '删除('+$scope.num+")";
	},true);
	
	$scope.$watch('shareChats',function(newVal,oldVal){
		if (oldVal ==undefined || !$scope.isShowCheckbox.ss) {
			return
		}
		$scope.num = 0;
		checkArr2 = [];
		for (var i in $scope.shareChats) {
			if ($scope.shareChats[i].checked == true) {
				checkArr2.push($scope.shareChats[i].ARTICLE_ID);
			}
		}
		$scope.num = checkArr2.length;
		$scope.value = '删除('+$scope.num+")";
	},true);
	
	$scope.$watch('searchChats',function(newVal,oldVal){
		if (oldVal ==undefined || !$scope.isShowCheckbox.ss) {
			return
		}
		$scope.num = 0;
		checkArr3 = [];
		for (var i in $scope.searchChats) {
			if ($scope.searchChats[i].checked == true) {
				checkArr3.push($scope.searchChats[i].ARTICLE_ID);
			}
		}
		$scope.num = checkArr3.length;
		$scope.value = '删除('+$scope.num+")";
	},true);
	
	$scope.aa1 = function(index){
		$scope.num = 0;
		load1();
	}
	
	$scope.aa2 = function(index){
		$scope.num = 0;
		load2();
	}
	
	$scope.aa3 = function(index){
		$scope.num = 0;
		load3();
	}
	
	    	    				//提示信息
	var newalert = function(message){
//		if (ionic.Platform.isIOS()) {
//			return;
//		}
		window.plugins.toast.showWithOptions(
		    {
		      message: message,
		      duration: "short", // which is 2000 ms. "long" is 4000. Or specify the nr of ms yourself. 
		      position: "bottom",
		      addPixelsY: -40  // added a negative value to move it up a bit (default 0) 
		    }
		);
	}
})


//积分记录 --yanjin-20160620
.controller('IntegralRecordCtrl', function($scope, $state, Msdk) {
	//颜色变化
	$scope.classText1 = "list-rtxt";
	$scope.classText2 = 'list-rtxt text-orange';
	
	$scope.order = "";
//  $scope.rechargeIsShow =false;	
//  $scope.consumeIsShow =true;	

    $scope.rechargeShow = function(){
    	$scope.rechargeIsShow =false;	
    	$scope.consumeIsShow =true;
    	//充值记录
	    $scope.data = {
	    	userId : Msdk.user.userId,
	    	SYS_TYPE	:	ionic.Platform.isIOS()?"02":"01"
	    };
	    Msdk.postJSON(
			"/integralRecord/getIntegralRecord",
			$scope.data,
			function(data) {
				$scope.integralDistribution = data;
				$scope.order = "integral.time";
				console.log($scope.order)
			});
    	
    }
    $scope.rechargeShow();
    //消费记录
    $scope.consumeShow = function(){
    	$scope.rechargeIsShow =true;	
    	$scope.consumeIsShow =false;
    	
    	$scope.data = {
    	    userId : Msdk.user.userId,
    	    SYS_TYPE	:	ionic.Platform.isIOS()?"02":"01"
        };
    	Msdk.postJSON(
		"/integralRecord/getConsumptionRecords",
		$scope.data,
		function(data) {
			$scope.consumptionRecords = data;
		});
    }
    
		
	
})

.controller('MyCtrl', function($scope, $state,Msdk) {
	$scope.state = {
		readstate : false
	}
    $scope.scoreNum = 0;
	$scope.init = function(){
		$scope.getAccountMessage();
	}
	
	$scope.getAccountMessage = function(){
		var msgdata = {
			userId	:Msdk.user.userId+"",
		};
		Msdk.postJSON(
			"/Account/getAccountMessage",
			msgdata,
			function(e){
				if(e.length>0){
					if (e[0].noRead > 0 ) {
						$scope.state.readstate = true 
					}
					if (ionic.Platform.isIOS()) {
						$scope.scoreNum = e[0].IOS_SCORE_NUM;
					}else{
						$scope.scoreNum = e[0].SCORE_NUM;
					}
					var info = window.localStorage.getItem("thirdLoginInfo");
					if(info){
						$scope.picUrl = JSON.parse(info).picUrl;
						$scope.name = JSON.parse(info).nickName;
					}else{
						$scope.name = e[0].SHORT_NAME;
						if(e[0].PIC_ID == undefined) {
							$scope.picUrl = "img/Logo.png";
						} else {
							Msdk.getFilePath(e[0].PIC_ID,
			                function(path){
			                	$scope.picUrl = path;
			                })
						}
					}
				}	
				
			});
	}
	
	$scope.toPrepaid = function(){
		if (ionic.Platform.isIOS()) {
//			prepaid/:scoreNum',
			$state.go("iosprepaid",{
				scoreNum:$scope.scoreNum
			});
		}else{
			$state.go("prepaid",{
				scoreNum:$scope.scoreNum
			});
		}
	}
	
	$scope.toMyinfo = function(){
		$state.go("myInfo");
	}
})

.controller('BmyAccountCtrl',function($scope, $rootScope, $state,Msdk,$stateParams){
	$scope.scoreNum = 0;
	$scope.init = function(){
		$scope.scoreNum = $stateParams.scoreNum
	}
	
//	$scope.toPrepaid = function(){
//		$state.go("prepaid");
//	}
	
		$scope.toPrepaid = function(){
			if (ionic.Platform.isIOS()) {
	//			prepaid/:scoreNum',
				$state.go("iosprepaid",{
					scoreNum:$scope.scoreNum
				});
			}else{
				$state.go("prepaid",{
					scoreNum:$scope.scoreNum
				});
			}
		}
})

.controller('MyInvoicePostCtrl',function($scope, $rootScope, $state,Msdk,$stateParams){
	//发票地址
	$scope.message = {
		value 	: 	"",
		idtype	:	'01',
		name	:	"",
		tel		:	"",
		address	:	"",
		postalCode:""
	}
	//发票金额
	$scope.moneyNum = 0;
	$scope.init = function(){
		$scope.getInvoicePostMessage();
	}
	//获取未申请发票的充值金额
	$scope.getInvoicePostMessage = function(){
		var msgdata = {
 			userId		:	Msdk.user.userId
 		};
 		Msdk.postJSON("/invoicePost/getInvoicePostMessage",
 		msgdata,
 		function(e){
           if (e[e.length-1].result === "success") {
           		if (e[0] == null) {
           		 	return;
           		}
           		$scope.moneyNum = e[0];
           }
        });
	}
	
	
	$scope.getTitle = function(id){
		console.log(id);
		$scope.message.idtype = id;
//		if (id == '01') {
//			$scope.message.value = "";
//		} 
	}
	
	$scope.toSubmit = function(){
		if ($scope.moneyNum == 0) {
			newalert("没有可申请发票的金额");
			return;
		}
		if ($scope.message.value==''||$scope.message.name==""||$scope.message.address==""||$scope.message.tel==""||$scope.message.postalCode=="") {
			newalert("信息不能为空");
			return;
		}
		if ($scope.moneyNum<200) {
			newalert(" 金额不足200无法申请");
			return;
		}
		
		var msgdata = $scope.message;
		msgdata.userId = Msdk.user.userId;
		msgdata.INVOICE_AMOUNT = $scope.moneyNum;
		Msdk.postJSON("/invoicePost/toSubmit",
 		msgdata,
 		function(e){
			if (e[0].result == "success") {
				$state.go("tab.my");
			}else{
				newalert("系统繁忙，请稍后再试");
				$state.go("tab.my");
			}
 		});
	}
	
	$scope.clear = function(name){
		$scope.message[name] = "";
	}
	
				//提示信息
	var newalert = function(message){
//		if (ionic.Platform.isIOS()) {
//			return;
//		}
		window.plugins.toast.showWithOptions(
		    {
		      message: message,
		      duration: "short", // which is 2000 ms. "long" is 4000. Or specify the nr of ms yourself. 
		      position: "bottom",
		      addPixelsY: -40  // added a negative value to move it up a bit (default 0) 
		    }
		);
	}
})

.controller('MailingRecordCtrl',function($scope, $rootScope, $state,Msdk,$stateParams){
	//排序
	$scope.order = "updateTime";
	$scope.message = [];
	$scope.init = function(){
		$scope.getInvoiceHistoryMessage();
	}
	
	//历史记录
	$scope.getInvoiceHistoryMessage = function(){
		var msgdata = {
 			userId		:	Msdk.user.userId
 		};
 		Msdk.postJSON("/invoicePost/getInvoiceHistoryMessage",
 		msgdata,
 		function(e){
           if (e[e.length-1].result == 'success') {
           		var me = [];
           		for(var i = 0 ; i <e.length-1 ; i++){
           			var date1 = new Date(e[i].updateTime);
					var date2 = date1.getFullYear()+"-"+(date1.getMonth()+1)+"-"+date1.getDate();
					e[i].time = date2;
           			me.push(e[i]);
           		}
           		$scope.message = me;
           }
        });
	}
	
})
	


;
