angular.module('bstmobile')

/**
 * work-config
 */
.config(function($stateProvider) {
	$stateProvider

	.state('myInfo', {
		url: '/myInfo',
		templateUrl: 'templates/my/myInfo/myInfo.html',
		controller: 'MyInfoCtrl'
	})

	.state('changeShortName', {
			url: '/changeShortName/:shortName',
			templateUrl: 'templates/my/myInfo/changeShortName.html',
			controller: 'ChangeShortNameCtrl'
		})
		.state('changeRealName', {
			url: '/changeRealName/:realName',
			templateUrl: 'templates/my/myInfo/changeRealName.html',
			controller: 'changeRealNameCtrl'
		})
		.state('changeGender', {
			url: '/changeGender/:gender',
			templateUrl: 'templates/my/myInfo/changeGender.html',
			controller: 'ChangeGenderCtrl'
		})
		.state('changeIndusty', {
			url: '/changeIndusty/:trade',
			templateUrl: 'templates/my/myInfo/changeIndusty.html',
			controller: 'ChangeIndustyCtrl'
		})
		.state('changeCompany', {
			url: '/changeCompany/:corp',
			templateUrl: 'templates/my/myInfo/changeCompany.html',
			controller: 'ChangeCompanyCtrl'
		})
		.state('changeEmail', {
			url: '/changeEmail/:email',
			templateUrl: 'templates/my/myInfo/changeEmail.html',
			controller: 'ChangeEmailCtrl'
		})
		.state('changeCity', {
			url: '/changeCity/:city',
			templateUrl: 'templates/my/myInfo/changeCity.html',
			controller: 'ChangeCityCtrl'
		})
		.state('changeSubCity', {
			url: '/changeSubCity/:id',
			templateUrl: 'templates/my/myInfo/changeSubCity.html',
			controller: 'ChangeSubCityCtrl'
		})
		.state('newPhoneValidation', {
			url: '/newPhoneValidation',
			templateUrl: 'templates/my/myInfo/newPhoneValidation.html',
			controller: 'NewPhoneValidationCtrl'
		})
		

})

.controller("MyInfoCtrl", function($scope, $state, Msdk, $ionicHistory, $ionicPopup) {

		$scope.userInfo = {};
//		$scope.data = Msdk.user;
		var data = {
			userId:Msdk.user.userId
		}
		Msdk.postJSON(
			"/myMessage/getUserInfoByUserId",
			data,
			function(e) {
				//console.log(e);
				$scope.userInfo = e;
				var info = window.localStorage.getItem("thirdLoginInfo");
				if(info){
					$scope.userInfo.storAddr = JSON.parse(info).picUrl;
					$scope.userInfo.shortName = JSON.parse(info).nickName;
				}else{
					if(e.picId == undefined) {
						$scope.userInfo.storAddr = "img/Logo.png";
					} else {
						Msdk.getFilePath(e.picId,
							function(path) {
								$scope.userInfo.storAddr = path;

							})
					}
				}
			});
			
				    /**
     * 使用localstorage保持历史记录
     */
    $scope.saveHistory = function(historyName,data){
      window.localStorage.setItem(historyName,data);
    }
		$scope.models = {

			photo: true
		}

		$scope.close = function() {

			$scope.models.photo = true;
		}
		$scope.changeShortName = function() {

			$state.go("changeShortName", {
				shortName: $scope.userInfo.shortName
			});
		}
		$scope.changeRealName = function() {

			$state.go("changeRealName", {
				realName: $scope.userInfo.realName
			});
		}
		$scope.changeSex = function() {

			$state.go("changeGender", {
				gender: $scope.userInfo.gender
			});
		}
		$scope.changeIndusty = function() {

			$state.go("changeIndusty", {
				trade: $scope.userInfo.trade
			});

		}
		$scope.changeCity = function() {
			
			$state.go("changeCity", {
				city : ($scope.userInfo.PROVINCE_NAME+$scope.userInfo.CITY_NAME)
			});
		}
		$scope.changeCompany = function() {

			$state.go("changeCompany", {
				corp: $scope.userInfo.corp
			});
		}
		$scope.changeEmail = function() {

				$state.go("changeEmail", {
					email: $scope.userInfo.email
				});
			}
			//	$scope.phone = Msdk.user.userId;
			//	
			//	$scope.phone = $scope.phone.substring(0, 3) + "****" + $scope.phone.substring(7, 11);
		$scope.showPopupClick = function() {

				// Triggered on a button click, or some other target
				$scope.data = {};

				// 自定义弹窗
				var myPopup = $ionicPopup.show({
					template: '<input type="password" ng-model="data.code">',
					title: '验证原密码',
					subTitle: '如果忘记了原密码，请使用验证码重新登录即可设置新密码',
					scope: $scope,
					buttons: [{
						text: '取消'
					}, {
						text: '<b>确认</b>',
						//           type: 'button-positive',
						onTap: function(e) {
							if(!$scope.data.code) {
								// 不允许用户关闭，除非输入 wifi 密码
								e.preventDefault();
								myPopup.close();
								$state.go("newPhoneValidation");
							} else {
								alert($scope.data.code);
								return $scope.data.code;
							}
						}
					}, ]
				});
				myPopup.then(function(res) {
					console.log('Tapped!', res);
				});
			}
			//
			//	$scope.showDatePicker = function() {
			//		//business.longMsTimeConvertToDateTime();
			//		//business.formatterDateTime();
			//		business.dateTime();
			//	}
			//	
			//		function changeBirthday(e){
			//			Msdk.postJSON(
			//		"/msdk/myinfo/changeBirthday",
			//		{userId:Msdk.user.userId,birthday:e},
			//		function(e){
			//	//alert("修改成功");
			//	$scope.userInfo.birthday=e.birthday;
			//	});
			//	}
			//	
			//	
			//		var business = {
			//
			//		/**
			//		 * 毫秒转时间格式
			//		 */
			//		longMsTimeConvertToDateTime : function(time) {
			//
			//			var myDate = new Date(time);
			//			return this.formatterDateTime(myDate);
			//		},
			//		/**
			//		 * 格式化日期（含时间）
			//		 */
			//		formatterDateTime : function(date) {
			//			var datetime = date.getFullYear()
			//					+ "-"// "年"
			//					+ ((date.getMonth() + 1) >= 10 ? (date.getMonth() + 1) : "0"
			//							+ (date.getMonth() + 1))
			//					+ "-"// "月"
			//					+ (date.getDate() < 10 ? "0" + date.getDate() : date.getDate())
			////					+ " "
			////					+ (date.getHours() < 10 ? "0" + date.getHours() : date
			////							.getHours())
			////					+ ":"
			////					+ (date.getMinutes() < 10 ? "0" + date.getMinutes() : date
			////							.getMinutes())
			////					+ ":"
			////					+ (date.getSeconds() < 10 ? "0" + date.getSeconds() : date
			////							.getSeconds())
			//					;
			//
			//			return datetime;
			//		},
			//		/**
			//		 * 时间选择
			//		 */
			//		dateTime : function(){
			//			datePicker.show({
			//				date: new Date(),
			//				mode: 'date'
			//			},
			//			function(date) {
			//				
			//				//alert("date"+date);
			//				//alert(business.longMsTimeConvertToDateTime(date));
			//			//	$("#businessInpu_serveTime").val(business.longMsTimeConvertToDateTime(date));
			//			
			//				changeBirthday(business.longMsTimeConvertToDateTime(date));
			//				//	isSaveStatus = true;
			//			},
			//			function(error) {
			////				alert('Error: ' + error);
			//			});
			//		},
			//
			//	}

	
		//上传头像点击事件
		$scope.changePhoto = function() {

				$scope.models.photo = false;

			}
			//
			//setTimeout(saveUserImage ,5000);
			//保存用户数据
		function saveUserImage() {
			$scope.userInfo.userId = Msdk.user.userId;
			Msdk.postJSON(
				"/myMessage/changeHead",
				$scope.userInfo,
				function(e) {
					$ionicHistory.clearCache(["tab.my"]);
				});
		}

		//头像上传
		//本地上传
		function cameraSuccess(imageData) {
			Msdk.uploadFile({
				fileBase64: imageData,
				fileType: 'jpg'
			}, function(e) {
				 Msdk.getFilePath(e.fileId,
	                function(path){
	                	$scope.userInfo.storAddr = path;
						$scope.models.photo = true;
						$scope.userInfo.picId = e.fileId;
						$scope.userInfo.fileId = e.fileId;
						saveUserImage();
						$scope.saveHistory('picUrl',$scope.userInfo.storAddr);
	                })
	        })
		}

		function cameraError(e) {
			//alert("cameraError");
		}
		$scope.shotCamera = function() {
			// alert("takeshot");
			navigator.camera.getPicture(cameraSuccess, cameraError, {
				quality: 50,
				targetWidth: 200,
				targetHeight: 200,
				destinationType: Camera.DestinationType.DATA_URL,
				sourceType: Camera.PictureSourceType.CAMERA,
				allowEdit: true
			});
		}

		$scope.shotLocal = function() {
			//  alert("takeshot");
			navigator.camera.getPicture(cameraSuccess, cameraError, {
				quality: 50,
				targetWidth: 200,
				targetHeight: 200,
				destinationType: Camera.DestinationType.DATA_URL,
				sourceType: Camera.PictureSourceType.PHOTOLIBRARY,
				allowEdit: true
			});
		}

		$scope.goBack = function(){
			$state.go("tab.my");
		}
		
		
	})
//修改手机号
.controller('NewPhoneValidationCtrl', function($scope, $state, Msdk, $ionicHistory, $interval) {

		$scope.models = {

				text1: "",
				text2: "",
				deleteIcon1: true,
				deleteIcon2: true
			}
			//清空输入框事件
		$scope.resetInput1 = function() {
			$scope.models.text1 = "";
		}

		$scope.resetInput2 = function() {
			$scope.models.text2 = "";

		}

		$scope.text1Focus = function() {
			$scope.models.deleteIcon1 = false;
			//alert(1);
		}

		$scope.text2Focus = function() {
			$scope.models.deleteIcon2 = false;
			//alert(1);
		}

		$scope.text1Blur = function() {
			$scope.models.deleteIcon1 = true;
			//	alert(2);
		}

		$scope.text2Blur = function() {
			$scope.models.deleteIcon2 = true;
			//alert(1);
		}

		$scope.paracont = "获取验证码";
		$scope.paraclass = "but_null";
		$scope.paraevent = true;

		$scope.Phone = {
			value: ''
		};

		$scope.getCode = function() {

			var phoneNumber = $scope.Phone.value;

			if(phoneNumber == "" || phoneNumber == null) {
				alert("请输入手机号码")
				return;
			}

			var second = 60;
			timePromise = undefined;
			timePromise = $interval(function() {

				if(second <= 0) {

					$interval.cancel(timePromise);
					timePromise = undefined;

					second = 60;
					$scope.paracont = "重发验证码";
					$scope.paraclass = "but_null";
					$scope.paraevent = true;
				} else {

					$scope.paracont = second + "秒后可重发";
					$scope.paraclass = "not but_null";
					second--;
				}
			}, 1000, 100);
			$scope.data = {
				Phone: phoneNumber
			}
			Msdk.postJSON(
				"/changePhone/sms",
				$scope.data,
				function(data) {
					if(data.success) {

						var code = data.returnObject;
					}
				});
		};

		$scope.nextPwd = function() {

			$scope.data = {
				phone: $scope.Phone.value,
				paracont: $scope.models.text2,
				userId: Msdk.user.userId,
				oldPhoneNum: Msdk.user.loginCode
			};

			Msdk.postJSON(
				"/changePhone/changePhone",
				$scope.data,
				function(data) {

					if(data.success) {

						var code = data.returnObject;
						return;
					}
					/*if (data.states == "success") {
		            $ionicPopup.alert({
		              title: '修改成功!'
		            });
		            return;
	          	}*/
					var phoneNumber = $scope.Phone.value;
					if(phoneNumber !== "" && $scope.models.text2 == "1111") {
						$state.go('changePsw');
					}
				});

		};
	})
.controller('ChangeShortNameCtrl', function($scope, Msdk, $ionicHistory, $stateParams) {

		$scope.shortName = {
			value: $stateParams.shortName
		};
		// $scope.name = "昵称";
		$scope.changeShort = function() {

			var changeShortName = $scope.shortName.value;
			$scope.data = {

				userId: Msdk.user.userId,
				shortName: changeShortName
			};
			if(!$scope.shortName.value) return;
			Msdk.postJSON(
				"/myMessage/changeShortName",
				$scope.data,
				function(data) {
					if(data.success) {
						var code = data.returnObject;
						$ionicHistory.clearCache(["myInfo"]).then(function() {
							$ionicHistory.goBack();
						});
					}

				});
		}

		$scope.clearText = function() {
			$scope.shortName.value = "";
		}
		$scope.hideCloseIcon = function(data, flag) {
			return !flag ? true : !data.value;
		}
	})
.controller('changeRealNameCtrl', function($scope, Msdk, $ionicHistory, $stateParams) {

		$scope.realName = {
			value: $stateParams.realName
		};

		$scope.changeReal = function() {

			var changeRealName = $scope.realName.value;
			$scope.data = {

				userId: Msdk.user.userId,
				realName: changeRealName
			};
			if(!$scope.realName.value) return;
			Msdk.postJSON(
				"/myMessage/changeRealName",
				$scope.data,
				function(data) {
					if(data.success) {
						var code = data.returnObject;
						$ionicHistory.clearCache(["myInfo"]).then(function() {
							$ionicHistory.goBack();
						});
					}

				});
		}

		$scope.clearText = function() {
			$scope.realName.value = "";
		}
		$scope.hideCloseIcon = function(data, flag) {
			return !flag ? true : !data.value;
		}
	})
//修改性别
.controller('ChangeGenderCtrl', function($scope, Msdk, $ionicHistory, $stateParams) {

		$scope.clientSideList = [

			{
				text: "男",
				value: "男"
			}, {
				text: "女",
				value: "女"
			}
		];
		$scope.data = {
			clientSide: $stateParams.gender
		};
		$scope.changeGd = function() {

			$scope.data = {

				userId: Msdk.user.userId,
				gender: $scope.data.clientSide
			};
			Msdk.postJSON(
				"/msdk/myinfo/changeGender",
				$scope.data,
				function(data) {
					if(data.success) {
						var code = data.returnObject;
						$ionicHistory.clearCache(["myInfo"]).then(function() {
							$ionicHistory.goBack();
						});
					}

				});
		}
	})
//修改行业
.controller('ChangeIndustyCtrl', function($scope, Msdk, $ionicHistory, $stateParams) {

		$scope.dataClick = function(e) {

			var changeIndusty = $scope.trade.value;
			var data = {

				userId: Msdk.user.userId,
				tradeTitle: changeIndusty,
				trade: e
				
			};

			Msdk.postJSON(
				"/myMessage/changeIndusty",
				data,
				function(data) {

					if(data.success) {
						var code = data.returnObject;
						$ionicHistory.clearCache(["myInfo"]).then(function() {
							$ionicHistory.goBack();
						});
					}

				});

		}
		Msdk.postJSON(
			"/myMessage/getIndusty", 
			{},
			function(data) {
				$scope.trade = data;

			});

		$scope.clearText = function() {
			$scope.trade.value = {};
		}
		$scope.hideCloseIcon = function(data, flag) {
			return !flag ? true : !data.value;
		}
	})
//修改城市
.controller('ChangeCityCtrl', function($scope, Msdk, $ionicHistory, $stateParams, $state) {
	
	$scope.message = {
		cityName : $stateParams.city==='NaN'?'中国':$stateParams.city
	}
	
	$scope.nextCityClick = function(obj){
		
		$state.go('changeSubCity', {
			
			id : obj.provinceId
		});
	};
	
	Msdk.postJSON(
			"/myMessage/getCity", 
			{},
			function(data) {
				$scope.cityRepeat = data;
			});
})
//子地区
.controller('ChangeSubCityCtrl', function($scope, Msdk, $ionicHistory, $stateParams, $state) {
	$scope.data = {

		id: $stateParams.id
	};
	//点击保存城市
	$scope.changeSubCityClick = function(o) {

//		$scope.city = {
//			value: $stateParams.cityId
//		};

		//var changeCity = $scope.city.value;
		$scope.data = {

			userId: Msdk.user.userId,	
			city: o.cityId
		};	
		Msdk.postJSON(
			"/myMessage/changeCity",
			$scope.data,
			function(data) {

				if(data.success) {
					var code = data.returnObject;
					$state.go("myInfo");
//					$ionicHistory.clearCache(["myInfo"]).then(function() {
//						$ionicHistory.goBack();
//						
//						$ionicHistory.clearCache(["myInfo"]).then(function() {
//						    $ionicHistory.goBack();
//						
//					    });
//					});
				}

			});
	}

	Msdk.postJSON(
		"/myMessage/getSubCity",
		$scope.data,
		function(data) {

			$scope.subCityRepeat = data;
		});
})
//修改公司
.controller('ChangeCompanyCtrl', function($scope, Msdk, $ionicHistory, $stateParams) {

		$scope.corp = {
			value: $stateParams.corp
		};

		$scope.changeCorp = function() {

			var changeCompany = $scope.corp.value;
			$scope.data = {

				userId: Msdk.user.userId,
				corp: changeCompany
			};
			if(!$scope.corp.value) return;
			Msdk.postJSON(
				"/myMessage/changeCompany",
				$scope.data,
				function(data) {
					if(data.success) {
						var code = data.returnObject;
						$ionicHistory.clearCache(["myInfo"]).then(function() {
							$ionicHistory.goBack();
						});
					}

				});
		}

		$scope.clearText = function() {
			$scope.corp.value = "";
		}
		$scope.hideCloseIcon = function(data, flag) {
			return !flag ? true : !data.value;
		}
	})

//修改邮箱
.controller('ChangeEmailCtrl', function($scope, Msdk, $ionicHistory, $stateParams) {

	$scope.email = {
		value: $stateParams.email
	};

	$scope.changeEmail = function() {
		
		var changeMail = $scope.email.value;
		if (!emailCheck(changeMail)) {
			newalert('请输入正确的邮箱地址');
			return;
		}
		$scope.data = {

			userId: Msdk.user.userId,
			email: changeMail
		};
		if(!$scope.email.value) return;
		Msdk.postJSON(
			"/myMessage/changeEmail",
			$scope.data,
			function(data) {
				if(data.success) {
					var code = data.returnObject;
					$ionicHistory.clearCache(["myInfo"]).then(function() {
						$ionicHistory.goBack();
					});
				}

			});
	}

	$scope.clearText = function() {
		$scope.email.value = {};
	}
	$scope.hideCloseIcon = function(data, flag) {
		return !flag ? true : !data.value;
	}
	
	function emailCheck(obj) {  
	    var pattern = /^([\.a-zA-Z0-9_-])+@([a-zA-Z0-9_-])+(\.[a-zA-Z0-9_-])+/;  
	     if (pattern.test(obj)) {
	        return true;
	    } else {
	        return false;
	    }
	}  
				//提示信息
	var newalert = function(message){
		window.plugins.toast.showWithOptions(
		    {
		      message: message,
		      duration: "short", // which is 2000 ms. "long" is 4000. Or specify the nr of ms yourself. 
		      position: "bottom",
		      addPixelsY: -40  // added a negative value to move it up a bit (default 0) 
		    }
		);
	}
})

;