angular.module('bstmobile')

/**
 * work-config
 */
.config(function($stateProvider){
	$stateProvider

	.state('message', {
		url : '/message',
		templateUrl : 'templates/my/myMessage/message.html',
		controller : 'MessageCtrl'
	})
	
	.state('invoicePostMessage', {
		url : '/invoicePostMessage/:id',
		templateUrl : 'templates/my/myMessage/invoicePostMessage.html',
		controller : 'invoicePostMessageCtrl'
	})
	
	.state('feedbackMessage', {
		url : '/feedbackMessage/:id',
		templateUrl : 'templates/my/myMessage/feedbackMessage.html',
		controller : 'FeedbackMessageCtrl'
	})
})

 
.controller('MessageCtrl',function($scope, $rootScope, $state,Msdk,$stateParams){
	
	$scope.order = 'CREATE_TIME';
	$scope.messageList = [];
	$scope.dtime = "dtime";
	$scope.init = function(){
		$scope.getMessageMessage();
	}
	
	$scope.getMessageMessage = function(){
		var msgdata = {
			userId	:Msdk.user.userId,
		};
		Msdk.postJSON(
			"/bstMessage/getMessageMessage",
			msgdata,
			function(e){
				if (e[e.length-1].result == "success") {
					e.splice(e.length-1,1);
					$scope.messageList = e;
//					Msdk.user.message.readedMessageNum = $scope.messageList.length;
				}
			});
	}

	$scope.toMessageDatil = function(typeId,id){
		if (typeId == 1) {
			$state.go("feedbackMessage",{id:id});
		}else if (typeId == 2) {
			$state.go("invoicePostMessage",{id:id});
		}
	}
})

.controller('invoicePostMessageCtrl',function($scope, $rootScope, $state,Msdk,$stateParams){
	$scope.message = {};
	$scope.init = function(){
		$scope.getInvoicePostMessageDatil();
	}
	
	$scope.getInvoicePostMessageDatil = function(){
		var msgdata = {
			userId	:	Msdk.user.userId,
			id		:	$stateParams.id
		};
		Msdk.postJSON(
			"/bstMessage/getInvoicePostMessageDatil",
			msgdata,
			function(e){
				if (e[e.length-1].result == "success") {
					e.splice(e.length-1,1);
					$scope.messageList = e[0];
				}
			});
	}
})

.controller('FeedbackMessageCtrl',function($scope, $rootScope, $state,Msdk,$stateParams){
	$scope.message = {};
	$scope.init = function(){
		$scope.getFeedbackMessageDatil();
	}
	
	$scope.getFeedbackMessageDatil = function(){
		var msgdata = {
			userId	:	Msdk.user.userId,
			id		:	$stateParams.id
		};
		Msdk.postJSON(
			"/bstMessage/getFeedbackMessageDatil",
			msgdata,
			function(e){
				if (e[e.length-1].result == "success") {
					e.splice(e.length-1,1);
					$scope.messageList = e[0];
				}
			});
	}
	
})
;
