angular.module('bstmobile')

/**
 * work-config
 */
.config(function($stateProvider){
	$stateProvider

	.state('tab.selected', {
	    url: '/selected',
	    views: {
	        'tab-selected': {
	          templateUrl : 'templates/selected/tab-selected.html',
	          controller : 'SelectedCtrl'
	        }
	    }
    })
	
	.state('titleSearchByType', {
		url : '/titleSearchByType/:typeId',
		templateUrl : 'templates/article/titleSearchByType.html',
		controller : 'TitleSearchByTypeCtrl'
	})
	

})

.controller('SelectedCtrl', function($scope, $state,Msdk,$ionicSlideBoxDelegate,$timeout) {
    
    $scope.chats = [];
  
  //状态 state1 是否获取文章状态 state2 是否处于下拉刷新状态
  var stateMessage = {state1:false,state2:false}
  
   $scope.firstMessage = [];
  
  $scope.init = function(){
  	$scope.getArticleList();
  }
  	//获取 文章列表
	$scope.getArticleList = function(){
		if (stateMessage.state1) {
			return
		}
		stateMessage.state1 = true;
		var typeList = ["03","04"];
		var msgdata = {
			typeList :	typeList
		};
		Msdk.postJSON(
			"/article/getArticleList",
			msgdata,
			function(e){
				stateMessage.state1 = false;
				if (e[e.length-1].result == "success") {
					for(var j=0;j<(e.length-1);j++){
						var chats1 = e[j];
						var chatsList = [];
						for(var i=0;i<(chats1.length);i++){
							
							var time = new Date(chats1[i].UPDATE_TIME);
							chats1[i].time1 = time.getFullYear() + "-" + (time.getMonth()+1) + "-" + time.getDate();
							chats1[i].time2 = time.getHours() + time.getMinutes();
							if (chats1[i].bsConfigPicId == null || chats1[i].bsConfigPicId == "" || chats1[i].bsConfigPicId == undefined) {
								if (chats1[i].PIC_ID == null || chats1[i].PIC_ID == "" || chats1[i].PIC_ID == undefined) {
									chats1[i].bsConfigPicId = chats1[i].typePicId;
								}else{
									chats1[i].bsConfigPicId = chats1[i].PIC_ID;
								}
							}
							chatsList.push(chats1[i]);
						}
						if (j==0) {
							$scope.firstMessage = [];
							$scope.firstMessage = chatsList;
							$ionicSlideBoxDelegate.$getByHandle('tab1SlideBox').update();
						}
						if (j==1) {
							$scope.chats = chatsList;
						}
						
					}
					
				}
			});
			
			
		
	}
//文章详情
	$scope.toDetail = function(IS_FEE,ARTICLE_ID,READ_SCORE){
		
		var msgdata = {
			userId		:Msdk.user.userId,
			articleId	:ARTICLE_ID,
		};
		Msdk.postJSON(
			"/article/toDetail",
			msgdata,
			function(e){
				if (e[0].success === 'success') {
					if(READ_SCORE==0 || e[0].buy >0 ){
						$state.go("detail_free",{
							ARTICLE_ID	:ARTICLE_ID,
							CONS_REMIND :e[0].CONS_REMIND
						});
					}else if(READ_SCORE > 0 && e[0].buy == 0 ){
						$state.go("detail_charge",{
							ARTICLE_ID	:ARTICLE_ID,
							CONS_REMIND :e[0].CONS_REMIND
						});
					}
				}else{
					newalert('当前文章已被管理人员下架，感谢您的关注！');
				}
				
				
				
			});
		
		
	}
	
		  //下拉刷新
	    $scope.doRefresh = function(){
	    	stateMessage.state1 = false;
	    	stateMessage.state2 = true;
	    	
//	    	var str1 = JSON.stringify($scope.firstChats);
			var str1 = $scope.firstMessage.slice(0);
			var str2 = $scope.chats.slice(0);
	    	
	    	$scope.init();
			$timeout(function() {
	         	endRefresh(str1,str2);
	   		}, 1000);
	    }
	    var endRefresh = function(str1,str2){
	    	if (!stateMessage.state1) {
	    		var changeA = false;
	    		if (str1.length == $scope.firstMessage.length && str2.length === $scope.chats.length ) {
	    			for(var i = 0;i<str1.length;i++){
	    				str1[i].$$hashKey = $scope.firstMessage[i].$$hashKey;
	    			}
	    			for(var i = 0;i<str2.length;i++){
	    				str2[i].$$hashKey = $scope.chats[i].$$hashKey;
	    			}
	    			if (JSON.stringify(str1) !== JSON.stringify($scope.firstMessage) || JSON.stringify(str2) !== JSON.stringify($scope.chats)) {
	    				changeA = true;
	    			}
	    		}else{
	    			changeA = true;
	    		}
	    		
	    		if (!changeA) {
	    			newalert("暂无最新文章发布，请稍后再刷新！");
	    		}
	    		$scope.$broadcast('scroll.refreshComplete');
	    	}else{
	    		$timeout(function() {
		         	endRefresh(str1,str2);
		   		}, 1000);
	    	}
	    }
	    
	    				//提示信息
	var newalert = function(message){
//		if (ionic.Platform.isIOS()) {
//			return;
//		}
		window.plugins.toast.showWithOptions(
		    {
		      message: message,
		      duration: "short", // which is 2000 ms. "long" is 4000. Or specify the nr of ms yourself. 
		      position: "bottom",
		      addPixelsY: -40  // added a negative value to move it up a bit (default 0) 
		    }
		);
	}
	

})

//----在template/article/titleSearchByType处的页面
.controller('TitleSearchByTypeCtrl', function($scope, $state,$ionicPopover, $stateParams,$interval, Msdk,$sce,$timeout) {
	//初始化数据	
	$scope.chart = [];
	var timer = "";
	$scope.searchHistory = [];
	$scope.searchContent = {value:""};
	$scope.init = function(){
		getSearchHistory();
	}
	
	//获取关键字
	$scope.toSearchTitle = function(){
		$interval.cancel(timer);
		var signValue = $scope.searchContent.value;
		if (signValue === "") {
			return;
		}
		 timer = $interval(function(){	
			if ($scope.searchContent.value == signValue) {
				$interval.cancel(timer);
				var arry = $scope.searchContent.value.split(" "); 
				for(var i=0;i<arry.length;i++){
					if (arry[i]=="") {
						arry.splice(i, 1);
						i=i-1;
					}
				}
				$scope.getSearchRus(arry);
			}
		},1000);
	}
	
	//根据标题搜索文章
	$scope.getSearchRus = function(arry){
		var msgdata = {};
		
		for(var i=0;i<arry.length;i++){
			msgdata[i] = arry[i];
		}
		msgdata.length = arry.length;
		msgdata.typeId = $stateParams.typeId;
		Msdk.postJSON(
			"/article/searchByType",
			msgdata,
			function(e){
				if (e.length === 0) {
					newalert("未找到相关的文章！");
				}
					$scope.saveHistory($scope.searchContent.value);
				$scope.chart = [];
				var chats1 = e;
				for(var i=0;i<chats1.length;i++){
					var time = new Date(chats1[i].UPDATE_TIME);
					chats1[i].time1 = time.getFullYear() + "-" + (time.getMonth()+1) + "-" + time.getDate();
					chats1[i].time2 = time.getHours() + time.getMinutes();
					chats1[i].PIC_ID = chats1[i].PIC_ID!=''?chats1[i].PIC_ID:chats1[i].typePicId;
					chats1[i].ARTICLE_TITLE = del_html_tags(chats1[i].ARTICLE_TITLE,arry[0],replaceWithC(arry[0]));
					chats1[i].ARTICLE_TITLE = $sce.trustAsHtml(chats1[i].ARTICLE_TITLE);
				}
				$scope.chart = chats1;
				//$scope.initSearchHistory();
			});
	}
	
	//文章详情
	$scope.toDetail = function(IS_FEE,ARTICLE_ID,READ_SCORE){
		
		var msgdata = {
			userId		:Msdk.user.userId,
			articleId	:ARTICLE_ID,
		};
		Msdk.postJSON(
			"/article/toDetail",
			msgdata,
			function(e){
				if (e[0].success === 'success') {
					if(READ_SCORE==0 || e[0].buy >0 ){
						$state.go("detail_free",{
							ARTICLE_ID	:ARTICLE_ID,
							CONS_REMIND :e[0].CONS_REMIND
						});
					}else if(READ_SCORE > 0 && e[0].buy == 0 ){
						$state.go("detail_charge",{
							ARTICLE_ID	:ARTICLE_ID,
							CONS_REMIND :e[0].CONS_REMIND
						});
					}
				}else{
					newalert('当前文章已被管理人员下架，感谢您的关注！');
				}
				
			});
		
		
	}
	
	//获取搜索历史记录，
	var getSearchHistory = function(){
		var msgdata = {userId : Msdk.user.userId};
		Msdk.postJSON(
			"/homeSearchHistory/getHomeSearchHistory",
			msgdata,
			function(data) {
				$scope.searchHistory = data;
			});
	}
	
	//点击后保存搜索记录
	$scope.saveHistory = function(searchWord){
		var msgdata = {
			userId 			:	Msdk.user.userId,
			searchContent	:	searchWord
		};
		Msdk.postJSON(
			"/homeSearchHistory/saveHomeSearchHistory",
			msgdata,
			function(data) {
				if (data[0].result == "success") {
					console.log("添加搜索记录成功");
					
				}
			});
		
	}
	
	//清空历史记录
    $scope.deleteHistory = function(){
    	var msgdata = {
			userId 			:	Msdk.user.userId
		};
		Msdk.postJSON(
			"/homeSearchHistory/deleteHomeSearchHistory",
			msgdata,
			function(data) {
				if (data[0].result == "success") {
					console.log("记录删除成功");
					$scope.searchHistory = [];
				}
			});
    }
	
	//点击历史记录搜索 
	$scope.historySearch = function(value){
		$scope.searchContent.value = value;
		$scope.toSearchTitle();
	}
	
	$scope.historySearch = function(value){
		$scope.searchContent.value = value;
		$scope.toSearchTitle();
	}
	
	function del_html_tags(str,reallyDo,replaceWith) { 
		if (reallyDo == "$" ||reallyDo == "(" ||reallyDo == ")" ||reallyDo == "^" ||
		    reallyDo == "\\" || reallyDo == "*" ||reallyDo == "+" ||reallyDo == "?" || reallyDo == "." ) 
		{
			reallyDo = "\\" + reallyDo;
		}
		var e=new RegExp(reallyDo,"g");
		words = str.replace(e, replaceWith); 
		return words; 
	} 
	
	function replaceWithC(newVal){
		return '<span style="background-color: #99ccff;" name = "searchValue">'+newVal+'</span>';
	}
	
	$scope.mouseDown = function(){
		var myInput = document.getElementById("myinput");
		if (myInput == document.activeElement) {
			$timeout(function(){
                document.getElementById("myinput").blur();
            },100);
			console.log('获取焦点');
		}
		
	}
	
		
			//提示信息
	var newalert = function(message){
//		if (ionic.Platform.isIOS()) {
//			return;
//		}
		window.plugins.toast.showWithOptions(
		    {
		      message: message,
		      duration: "short", // which is 2000 ms. "long" is 4000. Or specify the nr of ms yoursel f. 
		      position: "top",
		      addPixelsY: 160  // added a negative value to move it up a bit (default 0) 
		    }
		);
	}
})
;
